$.Class("ContactDetailModel", MvcModel, {
	ContactInfo: {
		Name: null,
		Mail: null,
		Group: null,
		Img: null,
		Tel: null
	},
	
	construct: function() {
		this._super().construct.call(this);
	},
	
	onEntry: function(){
		var me = this;
		this._super().onEntry.call(this);
		
		mui.plusReady(function(){
			var curView = plus.webview.currentWebview();			
			me.ContactInfo.Name = curView.name; // 取得父窗口传递而来的参数
			me.ContactInfo.Mail = curView.mail;
			me.ContactInfo.Group = curView.group;
			me.ContactInfo.Img = curView.img;
			me.ContactInfo.Tel = curView.tel;
			// 扩展API加载完毕，现在可以正常调用扩展API					
			me._onPageLoad();
		});			
	},
	
	_onPageLoad: function(){
		debugger;
		var cName = this.ContactInfo.Name;
		var imgName = "";
		var nLen = cName.length;
		if(nLen < 3){
			imgName = cName;
		}else{
			imgName = cName.substr(nLen-2,2)
		}		
		
		document.getElementById('contact-img').src = this.ContactInfo.Img;
		document.getElementById('contact-imgName').innerText = imgName;
		$("#contact-name").append("<a>" + cName + "</a>");
		$("#contact-mail").append("<a>邮箱<span class= 'list-item-content'>" + this.ContactInfo.Mail + "</span></a>");
		$("#contact-phone").append("<a>手机<span class= 'list-item-content'>" + this.ContactInfo.Tel + "</span></a>");
		$("#contact-group").append("<a href='javascript:;'><span id = 'group-head' class='mui-media-object mui-pull-left' >分组</span><div id = 'group-info' class='mui-media-body'></div></a>");
		$("#group-info").append("<a>" + this.ContactInfo.Group + "</a>");
		
	},
	
});