$.Class("BindPhone", {
	construct: function() {},

	onEntry: function() {
			var me = this;
			var isFirstShow = true,
				noPhoneBlurEvent = false,
				clickCheck = false;
			var timeInterval;
			mui.plusReady(function() {
				plus.webview.currentWebview().setStyle({
				    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
				});
				var phone = document.getElementById("phone");
				phone.addEventListener("focus", function(){
					noPhoneBlurEvent = false;
				});
				phone.addEventListener("blur", function() {					if (noPhoneBlurEvent)
						return;
				});

				document.getElementById("btnGetIdCode").addEventListener('tap', function() {
					noPhoneBlurEvent = true;
					var phonenum = $.trim($("#phone").val());
					if (phonenum != "") {
						if (!IsPhoneNumber(phonenum)) {
							plus.nativeUI.toast("请输入正确的手机号");
							return;
						}else {
							var url1 = $.BaseUrl + "MyAccount/Account/VerifyPhoneNumber";
							$.doAction(url1, {
								phoneNumber: phonenum
							}, function(result) {
								if (result != "Success") {
									plus.nativeUI.toast('该手机号已被其他账户绑定，请先解绑或更换手机号！');
								} else if (result == "Success") {
									var url = $.BaseUrl + "MyAccount/Account/SendPhoneCheckCode";
									$.doAction(url, {
										phoneNumber: phonenum
									},
									function(result) {
										if (result == "Success") {
											plus.nativeUI.toast("验证码发送成功");
											var remainTime = 59;
											$("#btnGetIdCode").attr("disabled", "true");
											document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
											timeInterval = window.setInterval(function() {
												if (remainTime == 0) {
													$("#btnGetIdCode").removeAttr("disabled");
													document.getElementById("btnGetIdCode").innerHTML = "重新发送";
													$("#btnGetIdCode").val("重新发送");
													window.clearInterval(timeInterval);
												} else {
													remainTime--;
													document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
												}
											}, 1000);
										}
									});
								}
							});
						}
					} else {
						plus.nativeUI.toast("手机号码不能为空！");
					}
				});

				document.getElementById("btnBindPhone").addEventListener('tap', function() {
					noPhoneBlurEvent = true;
					var phonenum = $.trim($("#phone").val());
					if (phonenum == "") {
						plus.nativeUI.toast("手机号码不能为空！");
						return;
					} else {
						if (!IsPhoneNumber(phonenum)) {
							plus.nativeUI.toast("请输入正确的手机号");
							return;
						}
					}
					var identitycode = $.trim($("#idcode").val());
					if (identitycode == "") {
						plus.nativeUI.toast("验证码不能为空！");
					} else {
						if (clickCheck){
							return;
						}
						clickCheck = true;
						var url = $.BaseUrl + "MyAccount/Account/CheckPhoneCheckCode";
						$.doAction(url, {
							inputnum: phonenum,
							inputcode: identitycode
						}, function(result) {
							if (result == "Success") {								
										 //开始绑定	
										var url = $.BaseUrl + "MyAccount/Account/BindPhone";
										$.doAction(url, {
											phoneNumber: phonenum,
										}, function(result) {
											if (result == "Success") {
												window.clearInterval(timeInterval);
												$("#btnGetIdCode").removeAttr("disabled");
												document.getElementById("btnGetIdCode").innerHTML = "获取验证码";
												var userDefine = JSON.parse(localStorage.getItem("currentUserDefine") || '{}');
												userDefine.tel = phonenum;
												localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
												plus.nativeUI.toast("绑定成功");
												$("#phone").val("");
												$("#idcode").val("");											
												mui.openWindow({
													url: 'mysetting/portaltab-subpage-mysetting.html',
													id: 'mysetting/portaltab-subpage-mysetting.html'
												});
												var webView = plus.webview.getWebviewById("mysetting/portaltab-subpage-mysetting.html");
												if (webView != null) {
													mui.fire(webView, "refresh");
												}
												plus.webview.currentWebview().close();
											} else {
												plus.nativeUI.toast(result.errmsg);
											}
											setTimeout(function(){
												clickCheck = false;
											}, 1000);
										});
							} else {
								mui.toast(result);
								clickCheck = false;
							}
						});
					}
				});
			}); //plusReady
		} //onEntry

});