$.Class("changePsw", {
	construct: function() {},

	onEntry: function() {
		var me = this;
		var isFirstShow = true,
			noConpswBlurEvent = false, noNewpwdBlurEvent = false;
		mui.plusReady(function() {
			plus.webview.currentWebview().setStyle({
			    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
			});
			var newPsw = document.getElementById("newpsw");
			newPsw.addEventListener("focus", function() {
				noNewpwdBlurEvent = false;
			});
			newPsw.addEventListener("blur", function() {
				if (noConpswBlurEvent)
					return;
				$("#newpsw").val($.trim($("#newpsw").val()));
				var newpsw = $("#newpsw").val();
				me.onCheckNewPsw(newpsw, $("#oldpsw").val());
			});

			var confirmPsw = document.getElementById("Confirmpsw");
			confirmPsw.addEventListener("focus", function() {
				noConpswBlurEvent = false;
			});
			confirmPsw.addEventListener("blur", function() {
				if (noConpswBlurEvent)
					return;
				$("#Confirmpsw").val($.trim($("#Confirmpsw").val()));
				me.onCheckNewPswTwo($("#newpsw").val());
			});

			document.getElementById('btnChangePsw').addEventListener('tap', function(e) {
				noConpswBlurEvent = true;
				noNewpwdBlurEvent = true;
				var oldpsw = $.trim($("#oldpsw").val());
				if (oldpsw === '') {
					plus.nativeUI.toast("旧密码不能为空！");
					return false;
				}
				var newpsw = $.trim($("#newpsw").val());
				me.onCheckNewPsw(newpsw, oldpsw);
				if (!me._check) {
					return false;
				}
				me.onCheckNewPswTwo(newpsw);
				if (!me._check) {
					return false;
				}

				me.onCheckOldPsw(oldpsw, function() {
					me.onDoChangePsw(newpsw, oldpsw);
				});
			});

		}); //plusReady
	}, //onEntry

	//被调用的函数
	onCheckOldPsw: function(oldpsw, callback) {
		if (oldpsw === '') {
			plus.nativeUI.toast("旧密码不能为空！");
			this._check = false;
		} else {
			var url = $.BaseUrl + "/MyAccount/Account/CheckOldPassWord";
			$.doAction(url, {
				oldPw: oldpsw
			}, function(result) {
				if (result.message != "") {
					plus.nativeUI.toast("旧密码不正确！");
					this._check = false;
				} else {
					this._check = true;
					if (callback != null) {
						callback();
					}
				}
			});
		}
	},

	onCheckNewPsw: function(newpsw, oldpsw) {
		if (newpsw === '') {
			plus.nativeUI.toast("新密码不能为空！");
			this._check = false;
		} else if (newpsw.length < 8) {
			plus.nativeUI.toast("新密码长度少于8个字符！");
			this._check = false;
		} else {
			var regex = new RegExp('^([0-9]{8,80}|[a-zA-Z]{8,80})$');			
			if(regex.test(newpsw)) {				
            	plus.nativeUI.toast("新密码应至少包含数字和英文字母");
            	this._check = false;
            } else if (newpsw == oldpsw) {
				plus.nativeUI.toast("新密码与旧密码相同，无需修改！");
				this._check = false;
			} else {
				this._check = true;
			}
		}
	},

	onCheckNewPswTwo: function(newpsw) {
		if (!newpsw.replace(/(^s*)|(s*$)/g, "").length == 0) {
			var checkpsw = $.trim($("#Confirmpsw").val());
			if (newpsw != checkpsw) {
				plus.nativeUI.toast("两次输入的密码不一致!");
				this._check = false;
			} else {
				this._check = true;
			}
		}
	},

	onDoChangePsw: function(newpsw, oldpsw) {
		var url = $.BaseUrl + "MyAccount/Account/EditUserPassWord";
		$.doAction(url, {
			newPw: newpsw,
			oldPw: oldpsw
		}, function(result) {
			if (result.message) {
				if (result.wrangType == 1) {
					plus.nativeUI.toast(result.message);
					return;
				}
				if (result.wrangType == 2) {
					plus.nativeUI.toast(result.message);
					return;
				}
				plus.nativeUI.toast("修改密码失败");
			} else {
				localStorage.setItem("currentUserToken", result.token);
				$("#oldpsw").val("");
				$("#newpsw").val("");
				$("#Confirmpsw").val("");
				plus.nativeUI.toast("修改密码成功");
				mui.back();
			}
		});
	}
});