$.Class("UnBindMailOld", {
	construct: function() {},

	onEntry: function() {
			var me = this;
			var timeInterval;
			var btnCheckMail = document.getElementById("btnCheckMail");
			var userDefine = JSON.parse(localStorage.getItem("currentUserDefine")||"{}");
			var phone = userDefine.tel || "";
			var safeMail = userDefine.mail;
			var mail = userDefine.mail;
			if(safeMail && safeMail.lastIndexOf("@97gg.com") == -1)
			{
			   safeMail = safeMail.substring(0, 3) + "******" + safeMail.substring(safeMail.lastIndexOf('@') - 1);	
			   $("#mail").val(safeMail);
			   $("#mail").prop("readonly",true);
			}			
			mui.plusReady(function() {
				plus.webview.currentWebview().setStyle({
				    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
				});							
			document.getElementById("btnGetIdCode").addEventListener('tap', function() {					
					if(phone == "") {
						plus.nativeUI.toast("您还未绑定手机号，无法解绑邮箱");
						return ;
					}
					if (mail == "") {
						plus.nativeUI.toast("邮箱不能为空！");
					} else {
						if (!IsEmail(mail)) {
							plus.nativeUI.toast("请输入正确的邮箱");
							return;
						} else if(mail != userDefine.mail) {
							plus.nativeUI.toast("您输入的邮箱与已绑定邮箱不一致");
						}else { 
								var url = $.BaseUrl + "/Account/SendMailVerifyCode";
								$.doAction(url, {
									Mail: mail, mode: "AppUnBindMail"
								},
								function(result) {
									if (result == "Success") {
										plus.nativeUI.toast("验证码发送成功");
										var remainTime = 59;
										$("#btnGetIdCode").attr("disabled", "true");
										document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
										timeInterval = window.setInterval(function() {
											if (remainTime == 0) {
												$("#btnGetIdCode").removeAttr("disabled");
												document.getElementById("btnGetIdCode").innerHTML = "重新发送";
												$("#btnGetIdCode").val("重新发送");
												window.clearInterval(timeInterval);
											} else {
												remainTime--;
												document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
											}
										}, 1000);
									}
								});
						}	
					}
			});
			document.getElementById("btnUnBindMail").addEventListener('tap', function() {
					var checkcode = $.trim($("#idcode").val());
					if(phone == "") {
						plus.nativeUI.toast("您还未绑定手机号，无法解绑邮箱");
						return ;
					}
					if (checkcode == "") {
						plus.nativeUI.toast("验证码不能为空！");
					} else {
						var url = $.BaseUrl + "/Account/CheckCaptchaInput";
						$.doAction(url, {
							input: checkcode, 
							mode: "AppUnBindMail",
							suffix: "Verify"
						}, function(result) {
							if (result.massage == "Success") {	
								var url1 = $.BaseUrl + "/MyAccount/Account/UnBindMail";
								$.doAction(url1, null, function(result) {
									if(result == "Success") {
										window.clearInterval(timeInterval);
										$("#btnGetIdCode").removeAttr("disabled");
										document.getElementById("btnGetIdCode").innerHTML = "获取验证码";
										var userDefine = JSON.parse(localStorage.getItem("currentUserDefine") || '{}');
										userDefine.mail = "";
										localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
										plus.nativeUI.toast("解绑成功");
										$("#mail").val("");
										$("#idcode").val("");											
										mui.openWindow({
											url: 'mysetting/portaltab-subpage-mysetting.html',
											id: 'mysetting/portaltab-subpage-mysetting.html'
											});
											var webView = plus.webview.getWebviewById("mysetting/portaltab-subpage-mysetting.html");
											if (webView != null) {
												mui.fire(webView, "refresh");
											}
											var updateWeb1 = plus.webview.getWebviewById("UpdateMail.html");
											if(updateWeb1 != null) 
												updateWeb1.close();
											var updateWeb2 = plus.webview.getWebviewById("UnBindMail.html");
											if(updateWeb2 != null)
												updateWeb2.close();
											plus.webview.currentWebview().close();
									}
									else {
										plus.nativeUI.toast("解绑失败");		
									}
								});						
							} else {
								plus.nativeUI.toast("验证码不正确");
							}
						});
					}
				});
		}); //plusReady
	} //onEntry

});