$.Class("UpdatePhoneOld", {
	construct: function() {},

	onEntry: function() {
			var me = this;
			var clickCheck = false;
			var btnCheckPhone = document.getElementById("btnCheckPhone");
			var userDefine = JSON.parse(localStorage.getItem("currentUserDefine")||"{}");
			var safeTel = userDefine.tel;
				if(safeTel) {
					safeTel = safeTel.substring(0, 3) + "******" + safeTel.substring(9);
					$("#phone").val(safeTel);
					$("#phone").prop("readonly",true);
				}
			var phonenum = userDefine.tel;
			mui.plusReady(function() {
				plus.webview.currentWebview().setStyle({
				    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
				});							
			document.getElementById("btnGetIdCode").addEventListener('tap', function() {
					if (phonenum != "") {
						if (!IsPhoneNumber(phonenum)) {
							plus.nativeUI.toast("请输入正确的手机号");
							return;
						}else if(phonenum != userDefine.tel){
							plus.nativeUI.toast("原手机号码不正确");
							return;
						}else{
							
							var url = $.BaseUrl + "MyAccount/Account/SendPhoneCheckCode";
							$.doAction(url, {
								phoneNumber: phonenum
							},
							function(result) {
								if (result == "Success") {
									plus.nativeUI.toast("验证码发送成功");
									var remainTime = 59;
									$("#btnGetIdCode").attr("disabled", "true");
									document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
									timeInterval = window.setInterval(function() {
										if (remainTime == 0) {
											$("#btnGetIdCode").removeAttr("disabled");
											document.getElementById("btnGetIdCode").innerHTML = "重新发送";
											$("#btnGetIdCode").val("重新发送");
												window.clearInterval(timeInterval);
										} else {
											remainTime--;
											document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
										}
									}, 1000);
								}
							});
						}											
					} else {
						plus.nativeUI.toast("手机号码不能为空！");
					}
				});
			document.getElementById("btnCheckPhone").addEventListener('tap', function() {					
					if (phonenum == "") {
						plus.nativeUI.toast("手机号码不能为空！");
						return;
					} else {
						if (!IsPhoneNumber(phonenum)) {
							plus.nativeUI.toast("请输入正确的手机号");
							return;
						}
					}
					var identitycode = $.trim($("#idcode").val());
					if (identitycode == "") {
						plus.nativeUI.toast("验证码不能为空！");
						return;
					} else {
						if (clickCheck) {
							return;
						}
						clickCheck = true;
						var url = $.BaseUrl + "MyAccount/Account/CheckPhoneCheckCode";
						$.doAction(url, {
							inputnum: phonenum,
							inputcode: identitycode
						}, function(result) {
							if (result == "Success") {																	
								mui.openWindow({
									url: 'UpdatePhone-new.html',
									id: 'UpdatePhone-new.html',
									show: {
										aniShow: 'pop-in',
										autoShow:true
									},
									styles: {
										popGesture: 'hide'
									},
									waiting: {
										autoShow: false
									}
								});	
								setTimeout(function(){
									clickCheck = false;
								}, 1000);
							} else {
								mui.toast(result);								
								clickCheck = false;
							}
						});
					}
				});
		}); //plusReady
	} //onEntry

});