$.Class("GetBackPsw2", {
	construct: function() {
		if(!mui.os.plus) {
			$(".mui-action-back").hide();
		}
	},

	onEntry: function() {
		var me = this;
		var isFirstShow = true,
			noNewpwdBlurEvent = false,
			noConpwdBlurEvent = false,
			isClose = false;
		document.addEventListener(mui.readyEvt_Jcp,function() {
			mui.currentWebview.setStyle({
			    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
			});
			var self = mui.currentWebview;
			var account = self.account;
			var curView = mui.currentWebview;
			curView.addEventListener("close", function() {
				isClose = true;
			});
			
			var newPassword = document.getElementById("newpassword");
			newPassword.addEventListener("focus", function() {
				noNewpwdBlurEvent = false;
			});
			newPassword.addEventListener("blur", function() {
				if (noNewpwdBlurEvent || isClose)
					return;
				$("#newpassword").val($.trim($("#newpassword").val()));
				var newpsw = $("#newpassword").val();
				me.onCheckNewPsw(newpsw);
			});

			var confirmnewPsw = document.getElementById("Confirmnewpassword");
			confirmnewPsw.addEventListener("focus", function() {
				noConpwdBlurEvent = false;
			});
			confirmnewPsw.addEventListener("blur", function() {
				if (noConpwdBlurEvent || isClose)
					return;
				$("#Confirmnewpassword").val($.trim($("#Confirmnewpassword").val()));
				me.onCheckNewPswTwo($("#newpassword").val())
			});

			document.getElementById("btnResetPsw").addEventListener('tap', function() {
				noNewpwdBlurEvent = true;
				noConpwdBlurEvent = true;
				var newpsw = $("#newpassword").val();
				me.onCheckNewPsw(newpsw);
				if (!me._check) {
					return false;
				}
				me.onCheckNewPswTwo(newpsw);
				if (me._check) {
					me.onDoSetPsw(account);
				}
			});
		}); //plusReady
	},
	onCheckNewPsw: function(newpsw) {
		if (newpsw === '') {
			mui.toast("新密码不能为空！");
			return this._check = false;
		} else if (newpsw.length < 8) {
			mui.toast("新密码长度少于8个字符！");
			return this._check = false;
		} else {
			var regex = new RegExp('^([0-9]{8,30}|[a-zA-Z]{8,30})$');			
			if(regex.test(newpsw)) {				
            	mui.toast("新密码应至少包含数字和英文字母");
            } else {
            	return this._check = true;
			}
		}
	},
	onCheckNewPswTwo: function(newpsw) {
		if (!newpsw.replace(/(^s*)|(s*$)/g, "").length == 0) {
			var checkpsw = $("#Confirmnewpassword").val();
			if (newpsw != checkpsw) {
				mui.toast("两次输入的密码不一致!");
				return this._check = false;
			} else {
				return this._check = true;
			}
		}
	},

	onDoSetPsw: function(account) {
		var url = $.BaseUrl + "Account/RemoteSetPassword";
		var newpsw = document.getElementById("newpassword").value;
		var curView = mui.currentWebview;
		var returnUrl = curView.returnUrl;
		$.doAction(url, {
			Account: account,
			newPsw: newpsw
		}, function(result) {
			if (result.message == "Success") {
				mui.toast("密码已经修改成功");				
				mui.getWebviewById("portal/ForgetPassword-SendCode.html").close();
				mui.os.plus && plus.navigator.setStatusBarBackground("#efeff4");
				if(mui.os.plus) {
					mui.openWindow({
						url: '_www/login.html',
						id: 'login.html',
						show: {
							aniShow: 'pop-in',
							autoShow: true
						},
						waiting: {
							autoShow: false
						}
					}, true);
					mui.currentWebview.close();
				} else {
					if(returnUrl && returnUrl != "")
						window.top.location.href = '/JcpMobile/login.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
					else 
						window.top.location.href = '/JcpMobile/login.html';
				}
			} else {
				mui.toast("密码修改失败");
			}
		}, null, null, null, true);
	}
});