$.Class("RegisterStepOne", {
	construct: function() {
		if(!mui.os.plus) {
			$(".mui-action-back").hide();
		}
	},

	onEntry: function() {
		var me = this;
		var noBlurEvent = false, isClose = false, clickCheck = false;
		document.addEventListener(mui.readyEvt_Jcp,function() {
			mui.currentWebview.setStyle({
			    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
			});
			mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			var curView = mui.currentWebview;
			curView.addEventListener("show", function() {
				mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			});
			curView.addEventListener("close", function() {
				isClose = true;
			});
			var accountInput = document.getElementById("Account");
			accountInput.addEventListener("focus", function(){				
				noBlurEvent = false;
			});

			document.getElementById("btnGetCheckCode").addEventListener('tap', function() {
				noBlurEvent = true;
				var accountValue = $.trim($("#Account").val());
				var userType = me.getUserType(accountValue);
				if (userType != null) {
					var url = $.BaseUrl + "Account/CheckDuplicateMail";
					$.doAction(url, {
						mail: accountValue
					}, function(result) {
						if (result.DuplicateMail && !result.NotActived) {
							mui.toast("该手机号已被注册！");
						} else {							
								 if (userType == "phone") {
									var url = $.BaseUrl + "MyAccount/Account/SendPhoneCheckCode";
									$.doAction(url, {
										phoneNumber: accountValue
									}, function(result) {
										if (result == "Success") {
											mui.toast("验证码发送成功");
											me.onResend();
										}
									}, null, null, null, true);
								} else {
									mui.toast("请输入正确的手机号");
									return;
								}
							}
						},null, null, null, true);
					}
			});

			document.getElementById("btnNextStep").addEventListener('tap', function() {
				noBlurEvent = true;
				var accountValue = $.trim($("#Account").val());
				var userType = me.getUserType(accountValue);
				if (userType == null)
					return;
				var checkcode = $.trim($("#CheckCode").val());
				if (checkcode == "") {
					mui.toast("验证码不能为空！");
				} else {
					if (userType == "phone") {
						if (clickCheck){
							return;
						}
						clickCheck = true;
						var url = $.BaseUrl + "MyAccount/Account/CheckPhoneCheckCode";
						$.doAction(url, {
							inputnum: accountValue,
							inputcode: checkcode
						}, function(result) {
							if (result == "Success") {
								var location = window.top.location;
								var returnUrl = "";
								var retUrlIndex = location.search.indexOf("returnUrl");
								var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
								var r = location.search.substr(1).match(reg);
								if(r != null)
									returnUrl = encodeURIComponent(decodeURIComponent(unescape(r[2])));
								//进入下一步填写密码
								mui.openWindow({
									url: 'Register-SetPwd.html',
									id: 'Register-SetPwd.html',
									extras: {
										account: accountValue,
										needReload: true,
										returnUrl: returnUrl
									},
									show: {
										aniShow: 'pop-in',
										autoShow: true
									},
									waiting: {
										autoShow: false
									}
								});
								setTimeout(function(){
									clickCheck = false;
								}, 1000);
							} else {
								mui.toast(result);
								clickCheck = false;
							}
						}, null, null, null, true);
					}
				}
			});
			if(mui.os.plus) {
				var old_back = mui.back;
				mui.back = function() {
					plus.navigator.setStatusBarBackground("#efeff4");
					old_back();
				};
			}
		}); //plusReady
	}, //onEntry

	getUserType: function(accountValue) {
		if (accountValue == "") {
			mui.toast("手机号不能为空！");
			return null;
		} else {			
			if (IsPhoneNumber(accountValue)) {
				return "phone";
			} else {
				mui.toast("请输入正确手机号");
				return null;
			}
		}
	},

	onResend: function() {
		var remainTime = 59;
		$("#btnGetCheckCode").attr("disabled", "true");
		document.getElementById("btnGetCheckCode").innerHTML = remainTime + " 秒后重新发送";
		timeInterval = window.setInterval(function() {
			if (remainTime == 0) {
				$("#btnGetCheckCode").removeAttr("disabled");
				document.getElementById("btnGetCheckCode").innerHTML = "重新发送";
				$("#btnGetCheckCode").val("重新发送");
				window.clearInterval(timeInterval);
			} else {
				remainTime--;
				document.getElementById("btnGetCheckCode").innerHTML = remainTime + " 秒后重新发送";
			}
		}, 1000);
	}
});