document.addEventListener(mui.readyEvt_Jcp, function() {
	mui.os.plus && plus.navigator.setStatusBarBackground("#efeff4");
	mui.os.plus && plus.navigator.closeSplashscreen();
	mui.os.plus && $("#btnRegister").show();
	mui.closeWaiting();
	var userObj = document.getElementById('txtUser');
	var pawObj = document.getElementById('txtPassword');
	userObj.value = localStorage.getItem("currentUserLoginName");
	pawObj.value = "";	
	var checkHasOrganization = function (returnUrl) {
	    if (returnUrl == null) {
	        var location = window.top.location;
	        var returnUrl = "";
	        var retUrlIndex = location.search.indexOf("returnUrl");
	        var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
	        var r = location.search.substr(1).match(reg);
	        if (r != null)
	            returnUrl = unescape(r[2]);
	    }
	    var url = $.BaseUrl + "Account/CheckHasOrganization";
	    var data = {
	        returnUrl: returnUrl,
	    };
	    $.doAction(url, data, function (result) {
	        if (result) {
	            $("#btnRegister").hide();
	        }
	    });
	};

	if (mui.os.plus) {
	    setTimeout(function() {
	        var curView = plus.webview.currentWebview();
	        var launchView = plus.webview.getLaunchWebview();
	        if (curView.needReload) {
	            var all = plus.webview.all();
	            if (all && all.length > 0) {
	                for (var i = 0; i < all.length; i++) {
	                    if (all[i].id != curView.id && all[i].id != launchView.id) {
	                        all[i].close();
	                    }
	                }
	            }
	        }
	    }, 300);
	} else {
	    checkHasOrganization(null);
	}
	
	var doLogin = function(user, password) {
		var location = window.top.location;
		var returnUrl = "";
		var retUrlIndex = location.search.indexOf("returnUrl");
		var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
		var r = location.search.substr(1).match(reg);
		if(r != null)
			returnUrl = unescape(r[2]);
		var url = $.BaseUrl + "Account/RemoteLogin";
		var data = {
			sys_loginName: user,
			sys_password: password,
			sys_VerifyType: "password",
			sys_retUrl: returnUrl
		}
		$.doAction(url, data, function(result) {	
			if (result.success) {
				if (mui.os.plus) {
					var userDefine = result.userDefine || {};
					localStorage.setItem("currentUserId", userDefine.id);
					localStorage.setItem("currentUserLoginName", userObj.value);
					localStorage.setItem("currentUserToken", userDefine.token);
					localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
					localStorage.setItem("LoginType", "password");	
					
					var curView = plus.webview.currentWebview();
					var launchView = plus.webview.getLaunchWebview();
					if(curView.needReload){
						//launchView.reload();						
						// 首页数据准备好后开始预加载隐藏的窗口
						mui.fire(launchView,"preloadStart",{isFirst: true});
					}
				}
				var loginbyIdentityCode = mui.getWebviewById('portal/loginbyIdentityCode.html');
				if (loginbyIdentityCode) {
					loginbyIdentityCode.close();
				}
				
				if(mui.currentWebview.firstLogin != true){
					//如果是首次安装、首次登录则不关闭当前页面
					mui.currentWebview.close();
				}
				
				if(!mui.os.plus){
					if(result.returnUrl != "")
						window.top.location.href = result.returnUrl;
					else 
						window.top.location.href = "/MyAccount/Home";
				}
				mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			} else {
				mui.closeWaiting();
				if (result.message) {
					mui.toast(result.message);
				} else {
					mui.toast("用户名或者密码不对！");
				}
			}
		}, true, function() {
			mui.closeWaiting();
		}, {
			"jcpDoReLogin": true
		}, true);
	}

	document.getElementById('btnLogin').addEventListener('tap', function() {
		userObj.value = $.trim(userObj.value);
		pawObj.value = $.trim(pawObj.value);
		if (userObj.value === '') {
			mui.toast("用户名不能为空！");
			return;
		}
		if (pawObj.value === '') {
			mui.toast("密码不能为空！");
			return;
		}
		
		doLogin(userObj.value, pawObj.value);
	});
	$(".mui-input-row input").focus(function() {
		var parentDiv = this.parentNode;
		parentDiv.classList.add('input-active');
	});
	$(".mui-input-row input").blur(function() {
		var parentDiv = this.parentNode;
		parentDiv.classList.remove('input-active');
	});

	document.addEventListener("keydown", function(e) {
		if (13 !== e.keyCode) return;
		if (userObj.value === '') {
			mui.toast("用户名不能为空！");
			return;
		}
		if (pawObj.value === '') {
			mui.toast("密码不能为空！");
			return;
		}
		doLogin(userObj.value, pawObj.value);
	}, false);

	//	var orgHeight = window.innerHeight;
	//	var orgWidth = window.innerWidth;
	//	window.onresize = function(e) {
	//		if (window.innerWidth != orgWidth) {
	//			return;
	//		}
	//		var ids = document.getElementById("btnForgetPassword");
	//		if (window.innerHeight == orgHeight && ids.classList.contains('newcustomerhide')) {
	//			ids.classList.remove('newcustomerhide');
	//		} else if (window.innerHeight < orgHeight && !ids.classList.contains('newcustomerhide')) {
	//			ids.classList.add('newcustomerhide');
	//		}
	//	};

	var first = null;
	if(mui.os.plus){
		mui.back = function() {
			//首次按键，提示‘再按一次退出应用’
			if (!first) {
				first = new Date().getTime();
				mui.toast('再按一次退出应用');
				setTimeout(function() {
					first = null;
				}, 2000);
			} else {
				if (new Date().getTime() - first < 2000) {
					plus.runtime.quit();
				}
			}
		};
	}
	

	document.getElementById("btnTextMsgLogin").addEventListener('tap', function() {
		if(mui.os.plus) {			
			var userInput = document.getElementById('txtUser');
			var inputUserValue = userInput.value;
			var curView = plus.webview.currentWebview();
			var webView = mui.openWindow({
				url: '/portal/loginbyIdentityCode.html',
				id: 'portal/loginbyIdentityCode.html',
				show: {
					aniShow: 'pop-in',
					autoShow: true
				},
				waiting: {
					autoShow: true
				},
				extras: {
					needReload: mui.os.plus && curView.needReload,
					inputUserValue: inputUserValue
				}
			});
			if (webView != null) {
				mui.fire(webView,'msgLogin', {
					inputUserValue: inputUserValue
				});
			}
		} else {
			var location = window.top.location;
			var returnUrl = "";
			var retUrlIndex = location.search.indexOf("returnUrl");
			var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
			var r = location.search.substr(1).match(reg);
			if(r != null)
				returnUrl = unescape(r[2]);
			if(returnUrl != "")
				window.top.location.href = '/JcpMobile/portal/loginbyIdentityCode.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
			else 
				window.top.location.href = '/JcpMobile/portal/loginbyIdentityCode.html';
		}
	});

	document.getElementById("btnForgetPassword").addEventListener('tap', function() {
		if(mui.os.plus) {					
			document.activeElement.blur();
			mui.openWindow({
				url: '/portal/ForgetPassword-SendCode.html',
				id: 'portal/ForgetPassword-SendCode.html',
				show: {
					aniShow: 'pop-in',
					autoShow: true
				},
				waiting: {
					autoShow: false
				}
			});
		}else {
			var location = window.top.location;
			var returnUrl = "";
			var retUrlIndex = location.search.indexOf("returnUrl");
			var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
			var r = location.search.substr(1).match(reg);
			if(r != null)
				returnUrl = unescape(r[2]);
			if(returnUrl != "")
				window.top.location.href = '/JcpMobile/portal/ForgetPassword-SendCode.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
			else 
				window.top.location.href = '/JcpMobile/portal/ForgetPassword-SendCode.html';	
		}
	});
	document.getElementById("btnRegister").addEventListener('tap', function() {
		if(mui.os.plus) {
			document.activeElement.blur();
			mui.openWindow({
				url: '/portal/Register-SendCode.html',
				id: 'portal/Register-SendCode.html',
				show: {
					aniShow: 'pop-in',
					autoShow: true
				},
				waiting: {
					autoShow: false
				}
			});
		} else {
			var location = window.top.location;
			var returnUrl = "";
			var retUrlIndex = location.search.indexOf("returnUrl");
			var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
			var r = location.search.substr(1).match(reg);
			if(r != null)
				returnUrl = unescape(r[2]);
			if (returnUrl != "") {
			    //checkHasOrganization(returnUrl);
			    window.top.location.href = '/JcpMobile/portal/Register-SendCode.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
			}else 
				window.top.location.href = '/JcpMobile/portal/Register-SendCode.html';
		}
	});
	
});
