$.Class("LoginByCkCode", {
	construct: function() {},

	onEntry: function() {
		var me = this;
		var clickCheck = false;
		var noPhoneBlurEvent = false;
		document.addEventListener(mui.readyEvt_Jcp,function() {
			mui.os.plus && plus.navigator.setStatusBarBackground("#efeff4");
			mui.os.plus && plus.navigator.closeSplashscreen();
			mui.os.plus && $("#btnRegister").show();
			mui.closeWaiting();
			var curView = mui.currentWebview;

			curView.addEventListener("show", function() {
				mui.os.plus && plus.navigator.setStatusBarBackground("#efeff4");
				var phonenum = $.trim($("#phonenum").val());
				var errorMsg = me.onCheckPhone(phonenum);
				if (errorMsg.length > 0) {
					if (curView.inputUserValue != null && curView.inputUserValue !== '') {
						errorMsg = me.onCheckPhone(curView.inputUserValue);
						if (errorMsg.length <= 0) {
							$("#phonenum").val(curView.inputUserValue);
						}
					}
				}
			});

			window.addEventListener('msgLogin', function(event) {
				var phonenum = $("#phonenum").val();
				var errorMsg = me.onCheckPhone(phonenum);
				if (errorMsg.length > 0) {
					if (event.detail.inputUserValue != null && event.detail.inputUserValue !== '') {
						errorMsg = me.onCheckPhone(event.detail.inputUserValue);
						if (errorMsg.length <= 0) {
							$("#phonenum").val(event.detail.inputUserValue);
						}
					}
				}
			});

			document.getElementById("btnCommonLogin").addEventListener('tap', function() {
				if(mui.os.plus) {
					noPhoneBlurEvent = true;
					mui.openWindow({
						url: '_www/login.html',
						id: 'login.html',
						show: {
							aniShow: 'pop-in',
							autoShow: true
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					var location = window.top.location;
					var returnUrl = "";
					var retUrlIndex = location.search.indexOf("returnUrl");
					var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
					var r = location.search.substr(1).match(reg);
					if(r != null)
						returnUrl = unescape(r[2]);
					if(returnUrl != "")
						window.top.location.href = '/JcpMobile/login.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
					else 
						window.top.location.href = '/JcpMobile/login.html';
				}
			});

			var phonenumInput = document.getElementById("phonenum");
			phonenumInput.addEventListener("blur", function() {
				if (noPhoneBlurEvent)
					return;
				var phonenum = $.trim($("#phonenum").val());
				var errorMsg = me.onCheckPhone(phonenum);
				if (errorMsg.length > 0) {
					mui.toast(errorMsg);
				}
			});

			phonenumInput.addEventListener("focus", function() {
				noPhoneBlurEvent = false;
			});
			$(".mui-input-row input").focus(function() {
				var parentDiv = this.parentNode;
				parentDiv.classList.add('input-active');
			});
			$(".mui-input-row input").blur(function() {
				var parentDiv = this.parentNode;
				parentDiv.classList.remove('input-active');
			});
			$("#CheckCode").focus(function() {
				var parentDiv = this.parentNode.parentNode;
				parentDiv.classList.add('input-active');
			});
			$("#CheckCode").blur(function() {
				var parentDiv = this.parentNode.parentNode;
				parentDiv.classList.remove('input-active');
			});
			document.getElementById("btnGetLoginCode").addEventListener('tap', function() {
				noPhoneBlurEvent = true;
				var phonenum = $.trim($("#phonenum").val());
				var errorMsg = me.onCheckPhone(phonenum);
				if (errorMsg.length <= 0) {
					var url = $.BaseUrl + "MyAccount/Account/SendPhoneCheckCode";
					var data = {
						phoneNumber: phonenum
					};
					$.doAction(url, data, function(result) {
						if (result == "Success") {
							mui.toast("验证码发送成功");
							me.onResend();
						}
					}, true, function() {
						mui.closeWaiting();
					}, {
						"jcpDoReLogin": true
					}, true);
				} else {
					mui.toast(errorMsg);
				}
			});

			document.getElementById("btnLogin").addEventListener('tap', function() {
					var phonenum = $.trim($("#phonenum").val());
					var identitycode = $.trim($("#CheckCode").val());
					if (identitycode.length <= 0) {
						mui.toast("验证码不能为空！");
						return;
					}
					var errorMsg = me.onCheckPhone(phonenum);
					if (errorMsg.length <= 0) {
						if (clickCheck){
							return;
						}
						clickCheck = true;
						var url = $.BaseUrl + "MyAccount/Account/CheckPhoneCheckCode";
						$.doAction(url, {
							inputnum: phonenum,
							inputcode: identitycode
						}, function(result) {
							if (result == "Success") {
								me.doLogin(phonenum);
								setTimeout(function(){
									clickCheck = false;
								}, 1000);
							} else {
								mui.toast(result);								
								clickCheck = false;
							}
						}, null, null, null, true);
					} else {
						mui.toast(errorMsg);
					}				
			});

			document.getElementById("btnForgetPassword").addEventListener('tap', function() {
				if(mui.os.plus) {
					noPhoneBlurEvent = true;
					mui.openWindow({
						url: '/portal/ForgetPassword-SendCode.html',
						id: 'portal/ForgetPassword-SendCode.html',
						show: {
							aniShow: 'pop-in',
							autoShow: true
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					var location = window.top.location;
					var returnUrl = "";
					var retUrlIndex = location.search.indexOf("returnUrl");
					var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
					var r = location.search.substr(1).match(reg);
					if(r != null)
						returnUrl = unescape(r[2]);
					if(returnUrl != "")
						window.top.location.href = '/JcpMobile/portal/ForgetPassword-SendCode.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
					else 
						window.top.location.href = '/JcpMobile/portal/ForgetPassword-SendCode.html';	
						}
			});
			
            document.getElementById("btnRegister").addEventListener('tap', function() {
				if(mui.os.plus) {
					mui.openWindow({
						url: '/portal/Register-SendCode.html',
						id: 'portal/Register-SendCode.html',
						show: {
							aniShow: 'pop-in',
							autoShow: true
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					var location = window.top.location;
					var returnUrl = "";
					var retUrlIndex = location.search.indexOf("returnUrl");
					var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
					var r = location.search.substr(1).match(reg);
					if(r != null)
						returnUrl = unescape(r[2]);
					if(returnUrl != ""){
						//me.checkHasOrganization(returnUrl);		
						window.top.location.href = '/JcpMobile/portal/Register-SendCode.html?returnUrl=' + encodeURIComponent(decodeURIComponent(returnUrl));
					}
					else 
						window.top.location.href = '/JcpMobile/portal/Register-SendCode.html';
				}
			});
			if(mui.os.plus) {
				var first = null;
				mui.back = function() {
					//首次按键，提示‘再按一次退出应用’
					if (!first) {
						first = new Date().getTime();
						mui.toast('再按一次退出应用');
						setTimeout(function() {
							first = null;
						}, 2000);
					} else {
						if (new Date().getTime() - first < 2000) {
							plus.runtime.quit();
						}
					}
				};
			} else {
				me.checkHasOrganization();
			}
		}); //mui.plusReady
	}, //onEntry

	onCheckPhone: function(phonenum) {
		if (phonenum == "") {
			return "手机号码不能为空！";
		} else {
			if (!IsPhoneNumber(phonenum)) {
				return "请输入正确的手机号";
			} else {
				return "";
			}
		}
	},

	onResend: function() {
		var remainTime = 59;
		$("#btnGetLoginCode").attr("disabled", "true");
		document.getElementById("btnGetLoginCode").innerHTML = remainTime + " 秒后重新发送";
		timeInterval = window.setInterval(function() {
			if (remainTime == 0) {
				$("#btnGetLoginCode").removeAttr("disabled");
				document.getElementById("btnGetLoginCode").innerHTML = "重新发送";
				$("#btnGetLoginCode").val("重新发送");
				window.clearInterval(timeInterval);
			} else {
				remainTime--;
				document.getElementById("btnGetLoginCode").innerHTML = remainTime + " 秒后重新发送";
			}
		}, 1000);
	},

	doLogin: function(user) {
		var curView = mui.currentWebview;
		var location = window.top.location;
		var returnUrl = "";
		var retUrlIndex = location.search.indexOf("returnUrl");
		var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
		var r = location.search.substr(1).match(reg);
		if(r != null)
			returnUrl = unescape(r[2]);
		var url = $.BaseUrl + "Account/RemoteLogin";
		var data = {
			sys_loginName: user,
			sys_VerifyType: "checkcode",
			sys_retUrl: returnUrl
		}
		$.doAction(url, data, function(result) {
			if (result.success) {
				var userDefine = result.userDefine || {};
					if (mui.os.plus) {	
						localStorage.setItem("currentUserId", userDefine.id);
						localStorage.setItem("currentUserLoginName", user);
						localStorage.setItem("currentUserToken", userDefine.token);
						localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
						localStorage.setItem("LoginType", "checkcode");
						if(curView.needReload) {
							var launchView = plus.webview.getLaunchWebview();
							//launchView.reload();
							// 首页数据准备好后开始预加载隐藏的窗口
							mui.fire(launchView,"preloadStart", {isFirst: true});
						}
				}

				var login = mui.getWebviewById('login.html');
				if (login) {
					login.close();
				}
				mui.currentWebview.close();
				if(!mui.os.plus){
					if(result.returnUrl != "")
						window.top.location.href = result.returnUrl;
					else 
						window.top.location.href = "/MyAccount/Home";
				}
				mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			} else {
				mui.closeWaiting();
				if (result.message) {
					mui.toast(result.message);
				} else {
					mui.toast("用户名或者密码不对！");
				}
			}
		}, true, function() {
			mui.closeWaiting();
		}, {
			"jcpDoReLogin": true
		}, true);
	},
	
	checkHasOrganization:function (returnUrl) {
        if (returnUrl == null) {
            var location = window.top.location;
            var returnUrl = "";
            var retUrlIndex = location.search.indexOf("returnUrl");
            var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
            var r = location.search.substr(1).match(reg);
            if (r != null)
                returnUrl = unescape(r[2]);
        }
		var url = $.BaseUrl + "Account/CheckHasOrganization";
		var data = {
			returnUrl : returnUrl, 
		};
		$.doAction(url, data, function(result) {
			if(result) {
			    $("#btnRegister").hide();
			}
		});
	},
});