
$.Class("CustomDlg", MvcBase, {
	construct: function(){
		this._super().construct.call(this);
		this._billForm = $.m("BillForm");
	},

	loadSubmitDlg: function (formType, hideAddBtn) {
	    var self = this;
	    $("#gg-dlg-returnbtn").off("touchstart").on("touchstart", function (e) {
	        e.preventDefault();
	    });
	    $("#gg-dlg-returnbtn").off("touchend").on("touchend", function (e) {
	        self._hideSubmitDlg();
	        e.preventDefault();
	    });
	    $("#gg-dlg-returnbtn").off("touchmove").on("touchmove", function (e) {
	        e.preventDefault();
	    });
	   
	    if(formType != 0 && !hideAddBtn){
	    	$("#gg-dlg-addbtn").off("touchstart").on("touchstart", function (e) {
	        	e.preventDefault();
	    	});
	    	$("#gg-dlg-addbtn").off("touchend").on("touchend", function (e) {
	        	self._billForm.newBillForm();
	        	self._hideSubmitDlg();
	       	    e.preventDefault();
	    	});
	    	$("#gg-dlg-addbtn").off("touchmove").on("touchmove", function (e) {
	        	e.preventDefault();
	    	});
	    	$("#gg-submit-dlg .gg-dlg-tips-container").removeClass("gg-dlg-tips-nobtn");
	    	$("#gg-dlg-addbtn").show();
	    }else{
	    	$("#gg-submit-dlg .gg-dlg-tips-container").addClass("gg-dlg-tips-nobtn");
	    	$("#gg-dlg-addbtn").hide();
	    }
	    
	    $("body").append("<div id=\"gg-customdlg-backdrop\" style=\"opacity:1;\"></div>");
	    $("#gg-submit-dlg").show();
	},
	
	loadEntityUpdatedDlg: function (content) {
	    var self = this;
	    if(!content)
	        content = "小伙伴发生变化。";

        var str = "<div id=\"gg-entityupdated-dlg\" style=\"display: none;\">";
        str += "<div id=\"gg-entityupdated-tips\">"+ content + "</div>";
        str += "<div id=\"gg-entityupdated-returnbtn\">知道了</div>";
        str += "</div>";
	    str += '<div id=\"gg-customdlg-backdrop\" style=\"opacity:1;\"></div>';
	    $("body").append(str);
	    
	    $("#gg-entityupdated-returnbtn").off("touchstart").on("touchstart", function (e) {
	        e.preventDefault();
	    });
	    $("#gg-entityupdated-returnbtn").off("touchend").on("touchend", function (e) {
	        self._hideEntityUpdatedDlg();
	        e.preventDefault();
	    });
	    $("#ggg-entityupdated-returnbtn").off("touchmove").on("touchmove", function (e) {
	        e.preventDefault();
	    });
	    
	    $("#gg-entityupdated-dlg").show();
	},
	
	_hideSubmitDlg: function(){
		$("#gg-submit-dlg").hide();
	    $("#gg-customdlg-backdrop").remove();
	},
	
	_hideEntityUpdatedDlg: function(){
		$("#gg-entityupdated-dlg").hide();
	    $("#gg-customdlg-backdrop").remove();
	},

	onDestroy: function(){
		this._super().onDestroy.call(this);
	}
});


