
$.fn.reverse = [].reverse;
$.Class("FABMenu", MvcBase, {
    construct: function () {
        this._super().construct.call(this);
        this._touchX;
        this._touchY;
        this._timeStamp = 0;
        this._touchCount = 0;
        this._touchPos = { x: 0, y: 0 };
        this.dragFlag = false;
        this._actionBtn = $(".fixed-action-btn");
        this._container = this._actionBtn.parent();
        this._containerSize = { "width": this._container.width() || window.innerWidth, "height": this._container.height() || window.innerHeight }
        this._containerOffset = this._container.offset();
        this._actionBtnOffset;

        var self = this, mask;
        $(document).on('tap', '.fixed-action-btn', function (e) {
            mui.toast("请在电脑上访问www.97gg.net创建表格。");
            self.initFab();
        });
        
//      $(".fixed-action-btn .btn-large").on('touchstart', function (e) {
//      	var event = e.originalEvent,
//              touchs = event.touches[0];
//          self._touchX = touchs.clientX;
//          self._touchY = touchs.clientY;
//          self.dragFlag = true;
//          self._timeStamp = e.timeStamp;
//          self._touchPos = { x: touchs.pageX, y: touchs.pageY };
//          self._actionBtnOffset = { "top": parseInt(self._actionBtn.css("top")), "left": parseInt(self._actionBtn.css("left")) };
//          self._touchCount = event.touches.length;
//          self._actionBtn.velocity("stop").velocity({ opacity: "1" }, { duration: 0 });
//      }).on('touchmove', function (e) {
//          if (self.dragFlag) {
//              e.preventDefault();
//              e.stopPropagation();
//
//              var event = e.originalEvent,
//                  touchs = event.touches[0],
//                  deltaX = self._touchX - touchs.clientX,
//                  deltaY = self._touchY - touchs.clientY,
//                  $this = $('.fixed-action-btn'),
//                  top = self._actionBtnOffset.top - deltaY,
//                  left = self._actionBtnOffset.left - deltaX;
//
//              if ($this.hasClass('active') === true) {
//                  mask.close();
//              }
//              self._setPosition(Math.min(self._containerSize.height + self._containerOffset.top - 5 - $this.height(), Math.max(self._containerOffset.top + 5, top)), Math.min(self._containerSize.width + self._containerOffset.left - 5 - $this.width(), Math.max(5, left)));
//          }
//      }).on('touchend', function (e) {
//          self.dragFlag = false;
//          if (!self._actionBtn.hasClass("active") && !self._isClick(e, self._timeStamp, self._touchPos, self._touchCount)) {
//              e.stopPropagation();   
//          	self.initFab();           
//          }            
//      });

        this._setPosition(this._containerSize.height + this._containerOffset.top - 5 - this._actionBtn.height(), this._containerSize.width + this._containerOffset.left - 5 - this._actionBtn.width());
        this._actionBtn.show();
        this.initFab();
    },

	_isClick: function (lastTouchEvent, firstTimeStamp, firstPos, touchCount) {
	    if (touchCount != 1) {
	        return false;
	    }

	    var tapMaxTime = 250,
            tapMaxDistance = 5,
            deltaTime = lastTouchEvent.timeStamp - firstTimeStamp,
            lastTouch = lastTouchEvent.originalEvent.changedTouches[0],
            deltaX = lastTouch.pageX - firstPos.x,
            deltaY = lastTouch.pageY - firstPos.y,
	        distance = Math.sqrt(deltaX * deltaX + deltaY * deltaY);

	    if (deltaTime < tapMaxTime && distance < tapMaxDistance) {
	        return true;
	    }
	    return false;
	},

	initFab: function(){
	    this._actionBtn.velocity("stop").velocity({ opacity: "1" }, { duration: 0 }).velocity({ opacity: ".3" }, { duration: 3000, delay: 2000 });
	},

	initMovingRegion: function (x, y, width, height) {
	    if (arguments.length < 4) {
	        throw Error("参数错误！");
	    }

	    this._containerSize = { "width": width || window.innerWidth, "height": height || window.innerHeight }
	    this._containerOffset = {"top": y, "left": x};
	    this._setPosition(this._containerSize.height + this._containerOffset.top - 5 - this._actionBtn.height(), this._containerSize.width + this._containerOffset.left - 5 - this._actionBtn.width());
	},

	_setPosition: function (top, left){
	    this._actionBtn.css({ "top": top, "left":  left});
	},

	onDestroy: function() {
		this._super().onDestroy.call(this);
	}
});