mui.plusReady(function() {
	//点击搜索
	var _dealTapSearchEvent = function() {		
		mui('.mui-bar').on('tap', '#search', function(e) {
			var subPage = plus.webview.getWebviewById("portaltab-subpage-tasklist.html");
			mui.fire(subPage, "onSearch");			
		});
	};

	// 点击title弹出任务分组
	var _dealPopTaskGroupEvent = function() {
		mui('.mui-title').on('tap', 'a', function(e) {
			var title = document.getElementById("title");
			title.setAttribute('style', 'opacity:0.65');
			var icon = document.querySelector(".mui-title .mui-icon");
			icon.classList.remove("mui-icon-arrowdown");
			icon.classList.add("mui-icon-arrowup");
			icon.setAttribute('style', 'opacity:0.65');

			var subPage = plus.webview.getWebviewById("portaltab-subpage-tasklist.html");
			mui.fire(subPage, "popover", {
				show: true
			});
		});
	};

	_dealTapSearchEvent();
	_dealPopTaskGroupEvent();

	window.addEventListener("hidePopover", function(e) {
		var icon = document.querySelector(".mui-title .mui-icon");
		icon.classList.remove("mui-icon-arrowup");
		icon.classList.add("mui-icon-arrowdown");
		icon.setAttribute('style', 'opacity:1');
		document.getElementById("title").setAttribute('style', 'opacity:1');
	});

	window.addEventListener("titlechange", function(event) {
		var titleObj = document.getElementById("title");
		titleObj.innerHTML = event.detail.title;
	});

	plus.webview.currentWebview().addEventListener("hide", function() {
		var subPage = plus.webview.getWebviewById("portaltab-subpage-tasklist.html");
		mui.fire(subPage, "hideparent");
	});	
});