﻿window.dataCallback = function (data) {
    return data;
}

window.lasyCall.flags = {};

function lasyCall(flag,fun) {
    var flags = window.lasyCall.flags;
    if (flags[flag] !== undefined || flags[flag] !== null) {
        clearTimeout(flags[flag]);
    }
    flags[flag] = setTimeout(function () {
        flags[flag] = null;
        fun.call();
    }, 100);

}




$.Class = $.fn.Class = function (clazz) {
    if (arguments.length < 2) {
        if (typeof clazz == 'string') {
            var names = clazz.split(".");
            var o = window;
            for (var i = 0; i < names.length; i++) {
                var n = names[i];
                if (!o[n]) {
                    return null;
                }
                o = o[n];
            }
            return o;
        }
        return clazz;
    }
    var o = clazz;
    if (typeof o == 'string') {
        var names = clazz.split(".");
        o = window;
        $(names).each(function (i) {
            if (!o[this]) {
                if (i == names.length - 1) {
                    o[this] = function () { this.ClassName = clazz; };
                }
                else {
                    o[this] = {};
                }
            }
            o = o[this];
        });

    }
    var i = 1;
    var superClass = arguments.length > 1 && typeof arguments[1] == 'function' ? (i = 2, arguments[1]) : null;
    if (superClass) {
        $.extend(o.prototype, superClass.prototype);
    }
    else {
        o.prototype._super = function () {
            var b = arguments.callee.caller.prototype._base;
            return b ? b.prototype : null;
        };
        o.prototype.construct = function () {
        };
    }
    o.prototype._base = superClass;

    for (; i < arguments.length; i++) {
        var arg = arguments[i];
        for (var key in arg) {
            var obj = arg[key];
            if (typeof obj == 'function') {
                obj.prototype._base = superClass;
            }
            o.prototype[key] = obj;
        }
    }

    return o;
};


$.New = $.fn.New = function (clazz, over) {
    var o = typeof clazz == 'function' ? new clazz() : $.extend({}, clazz);
    $.extend(o, over);
    if (o["construct"]) {
        o.construct();
    }
    return o;
};

$.destroy = function (o) {
    for (var key in o) {
        var oo = o[key];
        delete o[key];
        if (typeof oo === "object") {
            $.destroy(oo);
        }
    }
};

$.fn.extend({
    destroy: function (indestroy) {
        this.each(function () {
            var $this = $(this);
            if (!indestroy) {
                $("[entry]", $this).each(function () {
                    $(this).destroy(true);
                });
            }
            $this.trigger("destroy");
            if (!indestroy) {
                $this.unbind();
                this.parentNode && this.parentNode.removeChild(this);
            }
        });
    }
});

function Region(target) {
    this.startPosition = {
        x: target.length ? $(target).offset().left : 0,
        y: target.length ? $(target).offset().top : 0,
        modify: function(mod) {
            mod.x && (this.x += mod.x);
            mod.y && (this.y += mod.y);
        }
    };
    this.endPosition = {
        x: target.length ? $(target).offset().left + $(target).outerWidth() : 0,
        y: target.length ? $(target).offset().top + $(target).outerHeight() : 0,
        modify: function(mod) {
            mod.x && (this.x += mod.x);
            mod.y && (this.y += mod.y);
        }
    };
    this.isInThisRegion = function(e) {
        return !!e && e.clientX > this.startPosition.x && e.clientX < this.endPosition.x
            && e.clientY > this.startPosition.y && e.clientY < this.endPosition.y;
    };
}

function IsEmail(value) {
    return /((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))/i.test(value);
}

function IsPhoneNumber(value) {
    return /(^(1[34578])[0-9]{9}$)/.test(value);
}

function GetSeq(child, collection) {
    var ret = -1;
    collection.each(function(i) {
        if ($(this).is(child)) {
            ret = i;
            return false;
        }
        return true;
    });
    return ret;
}

/*延迟调用函数,当满足checker条件时执行func方法
*@param func 调用函数
*@param thisObj 代替func里的this对象
*@param argArray 传递给func的参数数组
*@param ims 轮询的间隔（毫秒）
*@param checker 定期执行的判断函数，为空时表示单纯延迟执行func，通过返回不同的值执行不同的结果：
    返回true或1，表示立即执行
    返回false或-1，表示不再执行
    返回其他值，表示暂不执行
*/

function ConditionCall(func, thisObj, argArray, ims, checker) {
    var timerFunc = function() {
        checker = checker || function() {
            return true;
        };
        var verdict = checker.call(thisObj, argArray, ims, timerId);
        if (verdict == 1) {
            func.apply(thisObj, argArray || []);
        }
        if (verdict == 1 || verdict == -1) {
            window.clearInterval(timerId);
        }
    };
    var timerId = window.setInterval(timerFunc, ims);
    return timerId;
}

$.fn.extend({
    DisableSelection: function () {
        if (!this.length)
            return this;
        this.each(function () {
            if (typeof this.onselectstart != "undefined")//ie、Chrome、Safari、Opera
                this.onselectstart = function () {
                    return false;
                };
            else if (typeof this.style.MozUserSelect != "undefined")//ff
                this.style.MozUserSelect = "none";
            else//other
                this.onmousedown = function () {
                    return false;
                };
        });
        return this;
    }
});

//mui接口适配
(function(mui, $, window, document){
	if(mui.os.plus){ 
		//H5+环境不做适配，需要扩展的进行扩展。
		mui.getWebviewById = function(id){
			return plus.webview.getWebviewById(id);
		};
		mui.readyEvt_Jcp = "plusready";
		mui.showWaiting = function(title, options){
			plus.nativeUI.showWaiting(title, options);
		};
		
		mui.closeWaiting = function(){
			plus.nativeUI.closeWaiting();
		};
		return;
	}
	
	// 普通浏览器下的Webview封装
	function HtmlWebview(webviewId, options, openerId){
		this.id = webviewId;
		this.options = options;
		this.openerId = openerId;
		
		if(typeof HtmlWebview._initialized == "undefined"){
			HtmlWebview.prototype.setId = function(webviewId){
				this.id = webviewId;
			};
			
			HtmlWebview.prototype.setOpener = function(webviewId){
				this.openerId = webviewId;
			};
			
			HtmlWebview.prototype.close = function(){
				var index = window.top.winIdMaps[this.id];
				// 当前webview对应的窗口
				var iframeWin = window.top.allIframeWins[this.id]
				if(this.id && index && iframeWin){					
					iframeWin.parent.layer.close(index);
				}
			};
			
			HtmlWebview.prototype.hide = function(){
				this.close();
			};
			
			HtmlWebview.prototype.show = function(){
				if(this.options){
					mui.openWindow(this.options);
				}
			}
			
			HtmlWebview.prototype.setExtras = function(extras){
				if(extras){
					mui.extend(true, this, extras);
				}				
			};
			
			HtmlWebview.prototype.getIframeWin = function(){
				if(this.id && window.top.allIframeWins[this.id]){
					return window.top.allIframeWins[this.id]					
				} else{ // 没有id时为主页面
					return window.top;
				}
			};
			
			HtmlWebview.prototype.opener = function(){
				if(this.openerId && window.top.allWebviews[this.openerId]){
					return window.top.allWebviews[this.openerId];
				}else{
					return new HtmlWebview();
				}
			};
			
			HtmlWebview.prototype.setStyle = function(styles){
				
			};
			
			HtmlWebview.prototype.addEventListener = function(eventType, callback){
				
			};
			
			HtmlWebview._initialized = true;
		}
	}
	
	var doInit = function(){
		// webviewId -> iframe index 同一页面不同窗口间共享
		window.top.winIdMaps =window.top.winIdMaps || {};
		// webviewId -> iframeWind  同一页面不同窗口间共享
		window.top.allIframeWins = window.top.allIframeWins || {};
		window.top.allWebviews = window.top.allWebviews || {};
		window.currentWebview = new HtmlWebview(); // 如果当前为弹出窗，则后续弹出成果后会设置ID
	}
	
	var parseUrl = function() {
		var location = window.top.location;
		var taskIdIndex = location.search.indexOf("_taskId_"),
			userIdIndex = location.search.indexOf("_userId_");
		if (taskIdIndex !== -1) {
			var reg = new RegExp('(^|&)' + "_taskId_" + '=([^&]*)(&|$)', 'i'),
				reg2 = new RegExp('(^|&)' + "_userId_" + '=([^&]*)(&|$)', 'i'),
				reg3 = new RegExp('(^|&)' + "shareToken" + '=([^&]*)(&|$)', 'i'),
				reg4 = new RegExp('(^|&)' + "period" + '=([^&]*)(&|$)', 'i'),
				reg5 = new RegExp('(^|&)' + "InviteKey" + '=([^&]*)(&|$)', 'i'),
				r = location.search.substr(1).match(reg),
				r2 = location.search.substr(1).match(reg2),
				r3 = location.search.substr(1).match(reg3),
				r4 = location.search.substr(1).match(reg4);
				r5 = location.search.substr(1).match(reg5);
			if (r != null)
				window.currentWebview.taskId = unescape(r[2]) - 0;
			if (r2 != null)
				window.currentWebview.userId = unescape(r2[2]);
			if (r3 != null)
				window.currentWebview.shareToken = unescape(r3[2]);
			if (r4 != null)
				window.currentWebview.period = unescape(r4[2]);
			if (r5 != null)
				window.currentWebview.inviteKey = unescape(r5[2]);
		}
	};
	
	// 非H5+进行适配
	var comHtmlAdapt = function(target){
		var plusreadyEvtwrap = "jcpcommonready";
		target = target || {};	
		doInit();
		parseUrl();
		
		$(function(){
			if(!window.name || window.name.indexOf("layui-layer-iframe") === -1){ // 主页面
				window.isMainPage = true;
				mui.trigger(window.document, plusreadyEvtwrap, {});
			}
		});	
		
		var openWindow = function(options){			
			options = options || {};
			var openedWebview
			var style = options.styles || {width: "100%", height: "100%", top: "0px", left: "0px"};
			var url = options.url + (options.url.indexOf("?") !== -1 ? "&ticket=" + new Date().getTime() : "?ticket=" + new Date().getTime());
			var index = layer.open({
			    type: 2,
			    title: false,
			    shadeClose: options.shadeClose,
			    shade: 0.8,
			    shift: 5,
			    closeBtn: false,
			    area: [style.width || "100%", style.height || "100%"], // 宽、高
			    offset: [style.top || "0px", style.left || "0px"],// top、left
			    content: url,
			    success: function(layero, index){			    	
			    	//var iframeWin = window[layero.find('iframe')[0]['name']]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
	        		var iframeWin = window["layui-layer-iframe" + index];
	        		iframeWin.currentWebview.setOpener(window.currentWebview.id);
	        		if(options.id){				
						iframeWin.currentWebview.setId(options.id);
						window.top.allWebviews[options.id] = iframeWin.currentWebview;
					}	        		
	        		iframeWin.currentWebview.setExtras(options.extras); // 参数传递给子窗口	        		
					mui.trigger(iframeWin.document, plusreadyEvtwrap, {});
					if(mui.os.ios){
						$(".layui-layer").css('-webkit-overflow-scrolling', 'touch');
						$(".layui-layer").css('overflow', 'auto');
						$(".layui-layer").css('position', 'absolute');
						$(".layui-layer-shade").css('position', 'absolute');
					} else if(mui.os.android){
						// 这两个的样式，ios下如果是fixed，微信浏览器中平凡滑动时会白屏，用absolute没问题
						// 而安卓下，用absolute时弹出窗会滚到屏幕上面去，用fixed则又没问题。
						// 因此特殊处理苹果下用absolute，安卓下用fixe
						$(".layui-layer").css('position', 'fixed');
						$(".layui-layer-shade").css('position', 'fixed');
					}
			    },
			    end: function(){
			    	if(options.id){
			    		delete window.top.winIdMaps[options.id];
						delete window.top.allIframeWins[options.id];
						delete window.top.allWebviews[options.id]
			    	}
			    }
			});
			if(options.id){				
				window.top.winIdMaps[options.id] = index;
				window.top.allIframeWins[options.id] = window["layui-layer-iframe" + index];
			}
			return null;
		};
		
		var getWebviewById = function(id){
			// todo 缓存，不重复new
			if(id && window.top.allIframeWins[id]){
				if(!window.top.allWebviews[id]){
					window.top.allWebviews[id] = new HtmlWebview(id);
				}
				return window.top.allWebviews[id];
			} else{
				return new HtmlWebview();
			}
		};
		
		var fire = function(htmlWebview, eventType, data){
			if(htmlWebview){
				var iframeWin = htmlWebview.getIframeWin();
				mui.trigger(iframeWin.document, eventType, data);
			}
		};
		
		var getCurrentWebview = function(){			
			return window.currentWebview;
		};
		
		var back = function(){
			window.currentWebview.close();
		};
		
//		var plusReady = function(func) {
//			document.addEventListener(plusreadyEvtwrap, function() {
//				func();
//			}, false);
//		};
		
		var preload = function(options){
			return new HtmlWebview(options.id, options);
		}
		
		var showWaiting = function(title, options){
			if(window.top.layer){
				if(window.top.currentWaitingIndex){
					window.top.layer.close(window.top.currentWaitingIndex);
				}
				window.top.currentWaitingIndex = window.top.layer.load(2);
			}			
		};
		
		var closeWaiting = function(){
			if(window.top.layer && window.top.currentWaitingIndex){
				window.top.layer.close(window.top.currentWaitingIndex);
				delete window.top.currentWaitingIndex;
			}			
		};
		
		var confirm = function(message, title, btnArray, callback){
			// 0为确认，1为取消
			layer.confirm(message, {
			    btn: btnArray, //按钮
			    title: title,
			    closeBtn: false
			}, function(i){
			    callback({
					index: 0
				});
				layer.close(i);
			}, function(i){
			    callback({
					index: 1
				});
			});
		}
		
		// openWindow方法适配
		target.openWindow = openWindow;
		// currentWebview属性
		target.currentWebview = getCurrentWebview();
		// "plusready"事件适配
		target.readyEvt_Jcp = plusreadyEvtwrap;
		// getWebviewById方法适配
		target.getWebviewById = getWebviewById;
		// 窗口间触发事件方法适配
		target.fire = fire;
		// back方法适配
		target.back = back;
		// 打开等待窗适配
		target.showWaiting = showWaiting;
		// 关闭等待窗适配
		target.closeWaiting = closeWaiting;
		
		// plusReady方法适配
		//target.plusReady = plusReady;
		
		// preload 方法适配
		target.preload = preload;
		
		// confirm适配
		target.confirm = confirm;
	};
	
	comHtmlAdapt(mui); 
	
})(window.mui || window, window.jQuery, window, document);

//toast到指定坐标位置
window.toastWithPos = function(message, pos){
	if (mui.os.plus) {
		//默认显示在底部；
		mui.plusReady(function() {
			plus.nativeUI.toast(message, {
				verticalAlign: 'bottom'
			});
		});
	} else {
		var toast = document.createElement('div');
		toast.classList.add('mui-toast-container');
		toast.innerHTML = '<div class="' + 'mui-toast-message' + '">' + message + '</div>';
		document.body.appendChild(toast);
		if (pos!=null&&pos>0){			
			toast.style.position = "absolute";
			toast.style.top = pos + "px";
		}
		setTimeout(function() {
			document.body.removeChild(toast);
		}, 2000);
	}
}


// 后台处理请求的服务地址
if(mui.os.plus){
	// 从App向后台请求数据的服务基础地址（跨域）
	$.BaseUrl = "https://97gg.net/";
	$.ExperienceTaskId = "322038";
	$.ExperienceTaskPeriod = "2015B0001";
} else{
	// 从手机浏览器中向后台请求数据的服务基础地址（不跨域）
	$.BaseUrl = "/";
}

$.getUserInfo = function(callBack){
	if(!mui.os.plus){ 
		return;
	}

	plus.nativeUI.closeWaiting();
	var login = plus.webview.create('_www/login.html', 'login.html', {popGesture: 'none'});	
	if(callBack){
		login.addEventListener("close", function(){
			callBack();
		});
	}
	login.addEventListener('loaded',function(){//叶面加载完成后才显示
		login.show("slide-in-bottom",100);
		login.showded=true;
		login=null;
	},false);
	//login.show("slide-in-bottom",100);	
}

window.doUrl = function (url) {
    if (!url)
        return url;
    if (mui.currentWebview.taskId && url.indexOf("_taskId_") === -1) {
        url += url.indexOf("?") !== -1 ? "&_taskId_=" + mui.currentWebview.taskId : "?_taskId_=" + mui.currentWebview.taskId;
    }
    if (mui.currentWebview.shareToken && url.indexOf("shareToken") === -1) {
        url += url.indexOf("?") !== -1 ? "&shareToken=" + mui.currentWebview.shareToken : "?shareToken=" + mui.currentWebview.shareToken;
    }
    if(mui.currentWebview.inviteKey && url.indexOf("InviteKey") === -1){
    	url += url.indexOf("?") !== -1 ? "&InviteKey=" + mui.currentWebview.inviteKey : "?InviteKey=" + mui.currentWebview.inviteKey;
    }
    return url;
};

// 通过mui的跨域Ajax封装后台请求
$.doAction = function(path, _data, callback, async, onError, headers, isLoginAction) {
	_data = _data || {};
	headers = headers || {};
	if (async == null || async == undefined)
		async=true;
	if(mui.os.plus && !isLoginAction){
		_data.sys_loginName = localStorage.getItem("currentUserLoginName") || "";
		_data.sys_token = localStorage.getItem("currentUserToken") || "";
		_data.sys_VerifyType = "";
		if(_data.sys_loginName && _data.sys_token){
			_data.sys_VerifyType = "token";
		} else{
			$.getUserInfo(function(){	
				$.doAction(path, _data, callback, async, onError, headers, isLoginAction);
			});
			return;
		}
	}	
	
	var self = this;
	if(!mui.os.plus){
		path = window.doUrl(path);
		headers.topUrl = window.top.location.href;
	}
	mui.ajax(path, {
		data: _data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 60000, //超时时间设置为60秒；
		headers: headers, // 请求头
		async: async,  //异步 or 同步
		success: function(result, textStatus, xhr) {
			if (result && result.hasSystemError) {
				mui.closeWaiting();
				mui.toast(result.message);				
				onError && onError.call(self, xhr, "", {});
				return;
			} 

			if (callback) {
				callback.call(self, result);
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log('type:' + type + ' status:' + xhr.status + ' readyState:' + xhr.readyState + ' ' + xhr.responseText);
			if(xhr.status == 0 && xhr.readyState == 4){
				//
				if(xhr.responseText){
					alert('type:' + type + ' status:' + xhr.status + ' readyState:' + xhr.readyState + ' ' + xhr.responseText);
				} else if(mui.os.plus){
					mui.toast("网络异常，请稍后再试");
				}
			} else if (type == 'timeout') {
				mui.toast("网络异常，请稍后再试");
			} else if (xhr.status == 401 && !isLoginAction) {
				$.getUserInfo(function(){
					$.doAction(path, _data, callback, async, onError, headers, isLoginAction);
				});
				mui.toast("账号信息异常，请重新登录。");
				
			} else if (xhr.status == 200 && xhr.readyState == 4) {				
				if(xhr.responseText.indexOf('<script>location.href=') === 0)
				{
					var url1 = xhr.responseText.substring(23, xhr.responseText.indexOf('</script>') - 1);
					window.top.location.href = url1;
				}
			} else {
				alert('type:' + type + ' status:' + xhr.status + ' readyState:' + xhr.readyState + ' ' + xhr.responseText);
			}
			onError && onError.apply(self, arguments);
			mui.closeWaiting();
		}
	});
};
