﻿

(function ($) {
    $.engine = function () {
        return $(document.body).engine();
    };


    $.fn.engine = function (option) {
        var engine = $(".engine", this);

        var models = [];

        $("[entry]", this).each(function () {
            var $this = $(this);
            var es = $this.attr("entry").split(",");
            for (var ii = 0; ii < es.length; ii++) {
                var e = es[ii];
                var entry = $("[name='" + e + "']", engine);
                var instace;
                var opt = eval('(' + $this.attr("opt") + ")") || {};
                opt.entry = $this;
                instace = $.New(eval(e), opt);
                models.push(instace);
            }
        });
        for (var i = 0 ; i < models.length; i++) {
            var model = models[i];

            if (model["onEntry"]) {
                model.onEntry();
            }
        }
        for (var i = 0; i < models.length; i++) {
            var model = models[i];
            if (model["onLoaded"]) {
                model.onLoaded();
            }
        }

        this.data("_models", models);
        return this;
    };

    $.extend({
        m: function (modelName) {
            if (!modelName) return null;
            return window._mvcModels[modelName];
        }
    });

})(jQuery);


