/**
*    native.jsֻAppJavaScriptIOS/AndroidϵͳԴJava/Objective-C
*/

/**
* nativeClipboard
* ϵͳаӿ
*/
(function ($) {
    $.nativeClipboard = {};
    $.nativeClipboard._clip = null;
    $.nativeClipboard._inited = false;

    /**
    * ȡϵͳа
    */
    $.nativeClipboard._getNativeClipboard = function () {
        if (!$.nativeClipboard._inited) {
            if (mui.os.android) {
                var context = plus.android.importClass("android.content.Context");
                var main = plus.android.runtimeMainActivity();
                $.nativeClipboard._clip = main.getSystemService(context.CLIPBOARD_SERVICE);
                $.nativeClipboard._inited = true;
            } else if (mui.os.ios) {
                var UIPasteboard = plus.ios.importClass("UIPasteboard");
                $.nativeClipboard._clip = UIPasteboard.generalPasteboard();
                $.nativeClipboard._inited = true;
            }
        }
        return $.nativeClipboard._clip;
    };

    /**
    * Ƶϵͳа
    * text {String} ı
    * returns {Bool} ǷƳɹ
    */
    $.nativeClipboard.setData = function (text) {
        var clip = $.nativeClipboard._getNativeClipboard();

        if (clip) {
            if (mui.os.android) {
                plus.android.invoke(clip, "setText", text);
                return true;
            } else if (mui.os.ios) {
                clip.setValueforPasteboardType(text, "public.utf8-plain-text");
                return true;
            }
        }
        return false;
    };

    /**
    * ȡаı
    * returns {String} аı
    */
    $.nativeClipboard.getData = function () {
        var text = "";
        var clip = $.nativeClipboard._getNativeClipboard();

        if (clip) {
            if (mui.os.android) {
                text = plus.android.invoke(clip, "getText");
            } else if (mui.os.ios) {
                text = clip.valueForPasteboardType("public.utf8-plain-text");
            }
        }
        return text;
    };

})(jQuery);
