$.Class("BindMail", {
	construct: function() {},

	onEntry: function() {
			var me = this;
			var isFirstShow = true,
				noMailBlurEvent = false;
			var timeInterval;
			mui.plusReady(function() {
				plus.webview.currentWebview().setStyle({
				    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
				});
				var mail = document.getElementById("mail");
				mail.addEventListener("focus", function(){
					noMailBlurEvent = false;
				});
				mail.addEventListener("blur", function() {
					if (noMailBlurEvent)
						return;
					var mail = $("#mail").val();
					if (mail == "") {
						plus.nativeUI.toast("邮箱不能为空！");
					} else {
						if (!IsEmail(mail)) {
							plus.nativeUI.toast("请输入正确的邮箱");
						} 
					}
				});

				document.getElementById("btnGetIdCode").addEventListener('tap', function() {
					noMailBlurEvent = true;
					var mail = $.trim($("#mail").val());
					if (mail == "") {
						plus.nativeUI.toast("邮箱不能为空！");
					} else {
						if (!IsEmail(mail)) {
							plus.nativeUI.toast("请输入正确的邮箱");
							return;
						} else { //验证邮箱是否被其他账号绑定		
						var url1 = $.BaseUrl + "/Account/CheckDuplicateMail";
							$.doAction(url1, {
								mail: mail
							}, function(result) {
								if (result.DuplicateMail) {
									var url2 = $.BaseUrl + "MyAccount/Home/AllTaskAndContactIsNull";
									$.doAction(url2, {
										userName: mail
									}, function(result) {
										if(!result) {
											plus.nativeUI.toast("该邮箱已被其他账户绑定，请先解绑或更换邮箱！");
											return;
										} else {
											var url = $.BaseUrl + "/Account/SendMailVerifyCode";
											$.doAction(url, {
												Mail: mail, mode: "AppBindMail"
											},
											function(result) {
												if (result == "Success") {
													plus.nativeUI.toast("验证码发送成功");
													var remainTime = 59;
													$("#btnGetIdCode").attr("disabled", "true");
													document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
													timeInterval = window.setInterval(function() {
														if (remainTime == 0) {
															$("#btnGetIdCode").removeAttr("disabled");
															document.getElementById("btnGetIdCode").innerHTML = "重新发送";
															$("#btnGetIdCode").val("重新发送");
															window.clearInterval(timeInterval);
														} else {
															remainTime--;
															document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
														}
													}, 1000);
												}
											});
										}
									});
								} else {
									var url = $.BaseUrl + "/Account/SendMailVerifyCode";
									$.doAction(url, {
										Mail: mail, mode: "AppBindMail"
									},
									function(result) {
										if (result == "Success") {
											plus.nativeUI.toast("验证码发送成功");
											var remainTime = 59;
											$("#btnGetIdCode").attr("disabled", "true");
											document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
											timeInterval = window.setInterval(function() {
												if (remainTime == 0) {
													$("#btnGetIdCode").removeAttr("disabled");
													document.getElementById("btnGetIdCode").innerHTML = "重新发送";
													$("#btnGetIdCode").val("重新发送");
													window.clearInterval(timeInterval);
												} else {
													remainTime--;
													document.getElementById("btnGetIdCode").innerHTML = remainTime + " 秒后重新发送";
												}
											}, 1000);
										}
									});
								}
							});	
						
					}
				}
			});

				document.getElementById("btnBindMail").addEventListener('tap', function() {
					noMailBlurEvent = true;
					var mail = $.trim($("#mail").val());
					var checkcode = $.trim($("#idcode").val());
					if (checkcode == "") {
						plus.nativeUI.toast("验证码不能为空！");
					} else {
						var url = $.BaseUrl + "/Account/CheckCaptchaInput";
						$.doAction(url, {
							input: checkcode, 
							mode: "AppBindMail",
							suffix: "Verify"
						}, function(result) {
							if (result.massage == "Success") {								
										//开始绑定	
										var url = $.BaseUrl + "/MyAccount/Account/BindMail";
										$.doAction(url, {
											mail: mail,
										}, function(result) {
											if (result == "Success") {
												window.clearInterval(timeInterval);
												$("#btnGetIdCode").removeAttr("disabled");
												document.getElementById("btnGetIdCode").innerHTML = "获取验证码";
												var userDefine = JSON.parse(localStorage.getItem("currentUserDefine") || '{}');
												userDefine.mail = mail;
												localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
												plus.nativeUI.toast("绑定成功");
												$("#mail").val("");
												$("#idcode").val("");											
												mui.openWindow({
													url: 'mysetting/portaltab-subpage-mysetting.html',
													id: 'mysetting/portaltab-subpage-mysetting.html'
												});
												var webView = plus.webview.getWebviewById("mysetting/portaltab-subpage-mysetting.html");
												if (webView != null) {
													mui.fire(webView, "refresh");
												}
												plus.webview.currentWebview().close();
											} else if (result == "Fail") {
												plus.nativeUI.toast("绑定失败");
											}
										});									
							} else {
								plus.nativeUI.toast("验证码不正确");
							}
						});
					}
				});
			}); //plusReady
		} //onEntry

});