$.Class("ResetFullName",{
	construct: function() {},

	onEntry: function() {
		var userDefine;
		var fullnameDoc = document.getElementById("fullname");
		var btnSave = document.getElementById("save");
		userDefine = JSON.parse(localStorage.getItem("currentUserDefine") || '{}');
		fullnameDoc.value = userDefine.fullName || "";
		
		mui.plusReady(function() {
			btnSave.addEventListener('tap', function(){
				var fullName = $.trim($("#fullname").val());
				if(fullName == "") {
					plus.nativeUI.toast("昵称不能为空");
				} else if(fullname.length < 0 || fullname.length > 20){
					plus.nativeUI.toast("昵称不能超过20个字符");
				} else {
					var url = $.BaseUrl + "MyAccount/Account/EditUserFullName";
					$.doAction(url, {
							newName: fullName
						},function(result){
							if(result.message != "Success") {
								plus.nativeUI.toast(result.message);
							} else {
								plus.nativeUI.toast("修改成功");
								userDefine.fullName = fullName;
								localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
								mui.openWindow({
									url: 'mysetting/portaltab-subpage-mysetting.html',
									id: 'mysetting/portaltab-subpage-mysetting.html'
								});
								var webView = plus.webview.getWebviewById("mysetting/portaltab-subpage-mysetting.html");
								if (webView != null) {
									mui.fire(webView, "refresh");
								}
								plus.webview.currentWebview().close();
						}
					})					
				}
			});
		});//plusReady
	}//onentry	
});