$.Class("GetBackPsw", {
	construct: function() {
		if(!mui.os.plus) {
			$(".mui-action-back").hide();
		}
	},

	onEntry: function() {
		var me = this;
		var noBlurEvent = false, isClose = false, clickCheck = false;
		document.addEventListener(mui.readyEvt_Jcp,function() {
			mui.currentWebview.setStyle({
			    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
			});
			mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			var curView = mui.currentWebview;
			curView.addEventListener("show", function() {
				mui.os.plus && plus.navigator.setStatusBarBackground("#00b6cc");
			});
			curView.addEventListener("close", function() {
				isClose = true;
			});
			var accountInput = document.getElementById("Account");
			accountInput.addEventListener("focus", function(){				
				noBlurEvent = false;
			});
			accountInput.addEventListener("blur", function() {
				if (noBlurEvent || isClose)
					return;
				$("#Account").val($.trim($("#Account").val()));
				var accountValue = accountInput.value;
				var userType = me.getUserType(accountValue);
				if (userType != null) {
					var url = $.BaseUrl + "Account/CheckDuplicateMail";
					$.doAction(url, {
						mail: accountValue
					}, function(result) {
						if (!result.DuplicateMail || result.NotActived) {
							mui.toast("手机号尚未注册！");
						}
					}, null, null, null, true);
				}
			}); //Account

			document.getElementById("btnGetCheckCode").addEventListener('tap', function() {
				noBlurEvent = true;
				var accountValue = $.trim($("#Account").val());
				var userType = me.getUserType(accountValue);
				if (userType != null) {
					var url = $.BaseUrl + "Account/CheckDuplicateMail";
					$.doAction(url, {
						mail: accountValue
					}, function(result) {
						if (userType == "mail") {
							if (!result.DuplicateMail) {
								mui.toast("邮箱尚未注册!");
							}else if (result.NotActived) {
								mui.toast("邮箱尚未激活，无法找回密码！");
							} else {
								var url = $.BaseUrl + "Account/SendMailVerifyCode";
								$.doAction(url, {
									Mail: accountValue,
									title: "密码找回",
	                  				contentNote: "我们收到您提交的忘记密码申请，如果您没有操作过忘记密码请求，请忽略此邮件。以下是详细说明："
								}, function(result) {
									if (result == "Success") {
										mui.toast("验证码已发送到您的邮箱，请注意查收");
										me.onResend();
									}
								}, null, null, null, true);
							}
						} else if (userType == "phone") {
							if (!result.DuplicateMail || result.NotActived) { 
								mui.toast("手机号尚未注册!");
							} else {
								var url = $.BaseUrl + "MyAccount/Account/SendPhoneCheckCode";
								$.doAction(url, {
									phoneNumber: accountValue
								}, function(result) {
									if (result == "Success") {
										mui.toast("验证码发送成功");
										me.onResend();
									}
								}, null, null, null, true);
							}									
						} else {
							return;
						}
							
						
					}, null, null, null, true);
				}
			});

			document.getElementById("btnSubmit").addEventListener('tap', function() {
				noBlurEvent = true;
				var accountValue = $.trim($("#Account").val());
				var userType = me.getUserType(accountValue);
				if (userType == null)
					return;
				var checkcode = $.trim($("#CheckCode").val());
				if (checkcode == "") {
					mui.toast("验证码不能为空！");
				} else {
					if (userType == "mail") {
						var url = $.BaseUrl + "Account/CheckCaptchaInput";
						$.doAction(url, {
							input: checkcode,
							mode: "ForgetPassword",
							suffix: "Verify"
						}, function(result) {
							if (!result) {
								plus.nativeUI.toast("您输入的验证码有误");
							} else if (result.massage == "Success") {
								//进入下一步填写密码
								mui.openWindow({
									url: 'ForgetPassword-ResetPsw.html',
									id: 'ForgetPassword-ResetPsw.html',
									extras: {
										account: accountValue
									},
									show: {
										aniShow: 'pop-in',
										autoShow: true
									},
									waiting: {
										autoShow: false
									}
								});
							}
						}, true, null, null, true);
					} else if (userType == "phone") {
						var location = window.top.location;
						var returnUrl = "";
						var retUrlIndex = location.search.indexOf("returnUrl");
						var reg = new RegExp('(^|&)' + "returnUrl" + '=([^&]*)(&|$)', 'i');
						var r = location.search.substr(1).match(reg);
						if(r != null)
							returnUrl = encodeURIComponent(decodeURIComponent(unescape(r[2])));
						if (clickCheck){
							return;
						}
						clickCheck = true;
						var url = $.BaseUrl + "MyAccount/Account/CheckPhoneCheckCode";
						$.doAction(url, {
							inputnum: accountValue,
							inputcode: checkcode
						}, function(result) {
							if (result == "Success") {
								//进入下一步填写密码
								mui.openWindow({
									url: 'ForgetPassword-ResetPsw.html',
									id: 'ForgetPassword-ResetPsw.html',
									extras: {
										account: accountValue,
										returnUrl: returnUrl
									},
									show: {
										aniShow: 'pop-in',
										autoShow: true
									},
									waiting: {
										autoShow: false
									}
								});
								setTimeout(function(){
									clickCheck = false;
								}, 1000);
							} else {
								mui.toast(result);
								clickCheck = false;
							}
						}, null, null, null, true);
					}
				}
			});
			if(mui.os.plus) {
				var old_back = mui.back;
				mui.back = function() {
					plus.navigator.setStatusBarBackground("#efeff4");
					old_back();
				};
			}
		}); //plusReady
	}, //onEntry

	getUserType: function(accountValue) {
		if (accountValue == "") {
			mui.toast("账号不能为空！");
			return null;
		} else {
			if (IsPhoneNumber(accountValue)) {
				return "phone";
			} else if (IsEmail(accountValue)) {
				return "mail";
			} else {
				mui.toast("请输入正确的邮箱或者手机号");
				return null;
			}
		}
	},

	onResend: function() {
		var remainTime = 59;
		$("#btnGetCheckCode").attr("disabled", "true");
		document.getElementById("btnGetCheckCode").innerHTML = remainTime + " 秒后重新发送";
		timeInterval = window.setInterval(function() {
			if (remainTime == 0) {
				$("#btnGetCheckCode").removeAttr("disabled");
				document.getElementById("btnGetCheckCode").innerHTML = "重新发送";
				$("#btnGetCheckCode").val("重新发送");
				window.clearInterval(timeInterval);
			} else {
				remainTime--;
				document.getElementById("btnGetCheckCode").innerHTML = remainTime + " 秒后重新发送";
			}
		}, 1000);
	}
});