$.Class("RegisterStepTwo", {
	construct: function() {
		if(!mui.os.plus) {
			$(".mui-action-back").hide();
		}
	},

	onEntry: function() {
		var me = this;
		var isFirstShow = true,
			noNewpwdBlurEvent = false,
			noConpwdBlurEvent = false,
			isClose = false;
		document.addEventListener(mui.readyEvt_Jcp,function() {
			mui.currentWebview.setStyle({
			    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度，解决header跟着内容滚动的问题
			});
			var self = mui.currentWebview;
			var account = self.account;
			var curView = mui.currentWebview;
			curView.addEventListener("close", function() {
				isClose = true;
			});
			
			var newPassword = document.getElementById("newpassword");
			newPassword.addEventListener("focus", function() {
				noNewpwdBlurEvent = false;
			});
			newPassword.addEventListener("blur", function() {
				if (noNewpwdBlurEvent || isClose)
					return;
				$("#newpassword").val($.trim($("#newpassword").val()));
				var newpsw = $("#newpassword").val();
				me.onCheckNewPsw(newpsw);
			});

			var confirmnewPsw = document.getElementById("Confirmnewpassword");
			confirmnewPsw.addEventListener("focus", function() {
				noConpwdBlurEvent = false;
			});
			confirmnewPsw.addEventListener("blur", function() {
				if (noConpwdBlurEvent || isClose)
					return;
				$("#Confirmnewpassword").val($.trim($("#Confirmnewpassword").val()));
				me.onCheckNewPswTwo($("#newpassword").val())
			});

			document.getElementById("btnRegister").addEventListener('tap', function() {
				noNewpwdBlurEvent = true;
				noConpwdBlurEvent = true;
				var newpsw = $.trim($("#newpassword").val());
				me.onCheckNewPsw(newpsw);
				if (!me._check) {
					return false;
				}
				me.onCheckNewPswTwo(newpsw);
				if (me._check) {
					me.onDoSetPsw(account);
				}
			});
		}); //plusReady
	},
	onCheckNewPsw: function(newpsw) {
		if (newpsw === '') {
			mui.toast("新密码不能为空！");
			return this._check = false;
		} else if (newpsw.length < 8) {
			mui.toast("新密码长度少于8个字符！");
			return this._check = false;
		} else {
			var regex = new RegExp('^([0-9]{8,30}|[a-zA-Z]{8,30})$');			
			if(regex.test(newpsw)) {				
            	mui.toast("新密码应至少包含数字和英文字母");
            } else {
            	return this._check = true;
			}
		}
	},

	onCheckNewPswTwo: function(newpsw) {
		if (!newpsw.replace(/(^s*)|(s*$)/g, "").length == 0) {
			var checkpsw = $("#Confirmnewpassword").val();
			if (newpsw != checkpsw) {
				mui.toast("两次输入的密码不一致!");
				return this._check = false;
			} else {
				return this._check = true;
			}
		}
	},

	onDoSetPsw: function(account) {
		var url = $.BaseUrl + "Account/RemoteRegister";
		var newpsw = document.getElementById("newpassword").value;
		var curView = mui.currentWebview;		
		var returnUrl = curView.returnUrl;
		$.doAction(url, {
			Account: account,
			newPsw: newpsw,
			ReturnUrl: returnUrl
		}, function(result) {
			if (result.success) {
				mui.toast("注册成功");				
				mui.os.plus && plus.webview.getWebviewById("portal/Register-SendCode.html").close();
				mui.os.plus && plus.navigator.setStatusBarBackground("#efeff4");
				var userDefine = result.userDefine || {};
				localStorage.setItem("currentUserId", userDefine.id);
				localStorage.setItem("currentUserLoginName", userDefine.tel);
				localStorage.setItem("currentUserToken", userDefine.token);
				localStorage.setItem("currentUserDefine", JSON.stringify(userDefine));
				localStorage.setItem("LoginType", "password");
				if(mui.os.plus) {
					if (curView.needReload) {
						var all = plus.webview.all();
						var launchView = plus.webview.getLaunchWebview();
						if (all && all.length > 0) {
							for (var i = 0; i < all.length; i++) {
								if (all[i].id != curView.id && all[i].id != launchView.id) {
									all[i].close();
								}
							}
						}
						//launchView.reload();
						// 首页数据准备好后开始预加载隐藏的窗口
						mui.fire(launchView,"preloadStart", {isFirst: true});
					}
				}
				var loginbyIdentityCode = mui.getWebviewById('portal/loginbyIdentityCode.html');
				if (loginbyIdentityCode) {
					loginbyIdentityCode.close();
				}
				var login = mui.getWebviewById("login.html");
				if(login) {
					login.close();
				}
				if(!mui.os.plus){
					if(returnUrl && returnUrl != "")
						window.top.location.href = decodeURIComponent(returnUrl);
					else
						window.top.location.href = "/MyAccount/Home";
				} else {
					mui.currentWebview.close();
				}
			} else {
				mui.toast("注册失败");
			}
		}, null, null, null, true);
	}
});