﻿//视图业务对象.
BM.EntityViewObject = function (viewObj) {
    this.ID = viewObj.ID;
    this.Title = viewObj.Title ? viewObj.Title : "";
    this.Order = viewObj.Order;
    this.TableID = viewObj.TableID ? viewObj.TableID : 0;
    this.IsDefault = viewObj.IsDefault;

    this.IsNew = viewObj.IsNew;
    this.IsDirty = viewObj.IsDirty;
    this.IsDeleted = viewObj.IsDeleted;
    return this;
};

BM.EntityViewObject.prototype.markDirty = function () {
    if (!this.IsNew)
        this.IsDirty = true;

    return this;
};
