onload = function() {
	document.addEventListener(mui.readyEvt_Jcp, function() {
		_initeFileManagementHtml = function(fileData) {
			var fileListView = $("#files-list-ul");
			if (!fileData || fileData.length == 0) {
				$("<span id='noFile' class='noFile'> 当前没有"+ mui.currentWebview.fileOptions.fileTypeTitle+"</span>").appendTo(fileListView);
				$("#noFile").css("height", height);
			} else {
				var count= 0;
				for (var i=0;i<fileData.length;i++) {
					var fileDataChild=fileData[i];
					if(fileDataChild.FileState!=3){
						addFileList(fileDataChild);
						count++;
					}
				}
				if(count == 0){
					$("<span id='noFile' class='noFile'> 当前没有"+ mui.currentWebview.fileOptions.fileTypeTitle+"</span>").appendTo(fileListView);
				    $("#noFile").css("height", height);
				}
			}
		}
        var preventDefault = function (e) {
            if (e.preventDefault) {
                e.preventDefault();
            } else {
                e.returnValue = false;
            }
        };
		function getImages() {
			var files = [];
			plus.gallery.pick(function(path) {
				if(path.files.length>20){
					mui.toast("最多选择20个"+mui.currentWebview.fileOptions.fileTypeTitle);
					return;
				}
				uploadPics(path.files);
				// }
			}, function(e) {
				mui.toast("取消选择");
			}, {
				filter: 'none',
				multiple: true
			});
		}

		function uploadPics(urls, entry) {
            self.overallSize=0;
			self.addLen=urls.length;
			self.curLen=0;
			self.showFlag=true;
		    var postFile=new FormData();
			for (var i=0;i<urls.length; i++) {	
			
				var url = urls[i],base64,canvas,ctx;
				var img = new Image();
				img.src = url;
				img.onload = function(e) {
					
					var that = e.target; 
					that.onload=null;
					
					var fileName;
					fileName = that.src.split('/')[that.src.split('/').length - 1];
					var w = that.width,
						h = that.height,
						scale = w / h;
					w = 320 || w;
					h = w / scale;
				    canvas = document.createElement('canvas');
				    ctx = canvas.getContext('2d'); 
					$(canvas).attr({
						width: w,
						height: h
					});
					ctx.drawImage(that, 0, 0, w, h);
				    base64 = canvas.toDataURL('image/jpeg', 1 || 0.8);
				    postFile.append(fileName,base64);
            		self.overallSize+=base64.length/1021/1024;  
            		if(self.overallSize >20 && self.showFlag==true){
            			self.showFlag=false;
            			mui.toast("上传"+mui.currentWebview.fileOptions.fileTypeTitle+"总大小不能超过20M");
            		}else if(self.overallSize>=0){
            			self.curLen=self.curLen+1;
            			if(self.curLen==self.addLen){         		
                          imgupgrade(postFile); 
            			}
            		}
//          
            	}
				
            }
		}

        function getFileName(fullName){
        	var files=mui.currentWebview.fileOptions.fileData,flagNum=false,
			 indexHash = {},
			 index = 0,
			 splitIndex = fullName.lastIndexOf(".", fullName.length - 1),
             curFileName = fullName.substring(0, splitIndex),
             extName = fullName.substring(splitIndex);
			for (var j = 0; j < files.length; j++) {
		        var fileName = files[j].FileName;
		        if (fileName == fullName) {
		                indexHash["0"] = 1;
		                continue;
		            }
		            var pattern = curFileName.replace("(", "\\(").replace(")", "\\)").replace(".", "\\.") + " \\(\\d*\\)\\" + extName;
		            var regExp = new RegExp(pattern);
		            if (regExp.test(fileName)) {
		                indexHash[fileName.substring(curFileName.length + 2, fileName.length - extName.length - 1)] = 1;
		            }
		        }

		        while (indexHash[index.toString()] && indexHash[index.toString()] == 1) {
		            index++;
		        }
		        if (index > 0) {
		            curFileName += " (" + index + ")";
		        }
		        curFileName += extName;  
		        return curFileName;
        }
		function imgupgrade(postFile) {
			var wt = plus.nativeUI.showWaiting();
			var url = getUrl(mui.currentWebview.fileOptions.URL,mui.currentWebview.fileOptions.imgOnly);
			$.ajax({
			  url: url,
			  type: "POST",
			  data: postFile,
			  processData: false,  // 告诉jQuery不要去处理发送的数据
			  contentType: false,  // 告诉jQuery不要去设置Content-Type请求头
			  success:function(response){
			  	var responseObj=eval(response);
			  	plus.nativeUI.closeWaiting();
					if (response != null && response!= "") {
						var count=0;
						for (var i=0;i<responseObj.length;i++){
							responseObjChild=responseObj[i];
							responseObjChild.Description = responseObjChild.Description==null?"": responseObjChild.Description;
							responseObjChild.FileName=getFileName(responseObjChild.FileName);
							responseObjChild.FileGuid = responseObjChild.FileGuid;
							responseObjChild.fileSize = responseObjChild.fileSize;
							responseObjChild.FileState = responseObjChild.FileState;
							responseObjChild.ModifiedTime = responseObjChild.ModifiedTime;
					        addFileList(responseObjChild);
					        if(mui.currentWebview.fileOptions.fileData==''){
					        	mui.currentWebview.fileOptions.fileData=[];
					        	$("#noFile").remove();
					        }
					        mui.currentWebview.fileOptions.fileData.push(responseObjChild);
					        count++;
						}
						mui.toast("上传成功，共上传了"+count+"个"+mui.currentWebview.fileOptions.fileTypeTitle);
					}
			  },
			  error:function(response){
			  	    plus.nativeUI.closeWaiting();
			  		mui.toast("上传失败");
			  }
			});
			
		}
		var addFileList = function(curFile) {
			if($("#noFile").length>0) $("#noFile").remove();
			var fileURL=curFile.FileURl?curFile.FileURl:curFile.FileURL;
			var img = new Image();
			
			var fileListView = $("#files-list-ul"); 
			$("<li  class='mui-table-view-cell'  id='li_" + curFile.FileGuid + "'><div class='mui-slider-right mui-disabled'><a class='mui-btn mui-btn-red file-dele-a'>删除  </a></div></li>").appendTo(fileListView);
			//<a class='mui-btn mui-btn-red file-download-a'>下载</a>
			$("<div class='mui-slider-handle' id='div_" + curFile.FileGuid + "'></div>").insertAfter($("#li_" + curFile.FileGuid)[0].childNodes[0]);
			var fileListSpan = $("#div_" + curFile.FileGuid);
			$("<span id='div_detail_"+curFile.FileGuid+"'></span>").appendTo(fileListSpan);
			var divDetail = $("#div_detail_"+curFile.FileGuid);
			$("<span id='fileList-li-FileName' class='fileList-li-FileName'>" + curFile.FileName + "</span>").appendTo(divDetail);
			$("<span id='fileList-li-Description' class='fileList-li-Description'>备注：" + curFile.Description + "</span>").appendTo(divDetail);
			$("<span id='fileList-li-ModifiedTime' calss='fileList-li-ModifiedTime' style='color:#979797;font-size:15px'>上传时间：" + curFile.ModifiedTime + "</span>").appendTo(divDetail);
		    $("<span id='"+curFile.FileGuid+"' fURl='"+fileURL+"' class='fileList-li-download'></span>").appendTo(divDetail);
		    if(fileURL){
		    	$("<span id='div_img_" + curFile.FileGuid + "' style='display:inline-block;width:24%'><img src='"+fileURL+"' style='width:90%;height:61px;margin-left: -4px;;padding-top: 6px';></span>").insertBefore(divDetail);
		    	divDetail.css("display","inline-block").css("width","75%");
		    	$("#"+curFile.FileGuid).css("margin-top","-50px");
		    }
		    $(".fileList-li-download").on("click", function(e) {
		    	mui.toast("暂不支持下载");  return;
				if(mui.currentWebview.fileOptions.editable==false){
					mui.toast("单元格只读，不能下载！");  
					return;
				}
				var id = e.target.id,					
					filesDownload=[],
					fileData = mui.currentWebview.fileOptions.fileData;
			    for (var i=0;i<fileData.length;i++) {
			    	if(fileData[i].FileGuid==id){
			    		filesDownload.push(fileData[i]);
			    		break;
			    	}		    	
			    }
				mui.fire(_parentView, mui.currentWebview.fileOptions.downloadListenString, {
				  filesDownload:filesDownload 
			   });		
			   preventDefault(e);
			});
		    $("#"+curFile.FileGuid).on("tap", function(e) { 
				var fileTarget = e.target,
					id = fileTarget.id,
					filesDownload=[],
					fileData = mui.currentWebview.fileOptions.fileData;
			    for (var i=0;i<fileData.length;i++) {
			    	if(fileData[i].FileGuid==id){
			    		filesDownload.push(fileData[i]);
			    		break;
			    	}
			    	
			    }
				mui.fire(_parentView, mui.currentWebview.fileOptions.downloadListenString, {
				  filesDownload:filesDownload 
			   });		
			   preventDefault(e);
		    });
		     $("#div_" + curFile.FileGuid).on("tap", function(e) { 
		     	if(e.target.className!='fileList-li-download'){
		     	    var fileDetails=getFileDetails(e.target);
					openWinDetails(fileDetails);  
		     	}
		    });
		     $("#div_img_" + curFile.FileGuid).on("tap", function(e) { 
		     	if(e.target.nodeName == "IMG"){
		     	  var fileTarget = e.target.parentNode,fileDetails={},
					  id = fileTarget.id.replace("div_img_",""),
					  fileData = mui.currentWebview.fileOptions.fileData;
			      for (var i=0;i<fileData.length;i++) {
			    	  if(fileData[i].FileGuid==id){
			    		fileDetails.fileName=fileData[i].FileName;
        		        fileDetails.Description=fileData[i].Description;
        		        fileDetails.ModifiedTime=fileData[i].ModifiedTime;
                        fileDetails.fileUrl=fileData[i].FileURl?fileData[i].FileURl:fileData[i].FileURL;
			    		break;
			    	 }
			    	
			      }
					openWinDetails(fileDetails);  
		     	}
		    });
		    $(".file-dele-a").on("tap", function(e) {	
			if (e.target.className.indexOf('file-dele-a') >= 0) {
				if(mui.currentWebview.fileOptions.editable==false){
					mui.toast("单元格只读，不能删除！"); 
					return;
				}
				var fileTarget = e.target.parentNode.parentNode.children[1];
				var id = fileTarget.id,
					fileData = mui.currentWebview.fileOptions.fileData,
					flag = true;
				for (var i=0;i<fileData.length;i++) {
					for (var j in fileData[i]) {
						switch (j) {
							case 'FileGuid':
								if ('div_' + fileData[i][j] == id) {
									$("#li_" + fileData[i][j]).remove();
									fileData[i].FileState=3;
									mui.toast("删除成功！");  
									flag = false;
								}
								break;
							default:
						}
						if (!flag) {
							break;
						}
					}
					if (!flag) {
						break;
					}
				}
				var fileListView = $("#files-list-ul");
				if (fileData.length == 0) {
					$("<span id='noFile' class='noFile'>单元格没有"+mui.currentWebview.fileOptions.fileTypeTitle+"</span>").appendTo(fileListView);
					$("#noFile").css("height", height);
				}
			}
		});
		}
		var getUrl = function(urlParamers,imgOnly) {
			if (!imgOnly) {
				var url = $.BaseUrl + "FileUploadService.axd" + encodeURI(urlParamers);
		     	url += url.substr(url.length - 1) == "?" ? "Action=UploadFileToBlob" : "&Action=UploadFileToBlob";
			    return url; 			
		    }else {
		    	var url = $.BaseUrl + "ImgUploadService.axd" + encodeURI(urlParamers);
		     	url += url.substr(url.length - 1) == "?" ? "Action=UploadImgToBlob" : "&Action=UploadImgToBlob";
			    return url; 
		    }
		}
        var getFileDetails=function(target){
        	var fileDetails={};
        	if(target.nodeName=="SPAN" && target.childNodes.length==4){
        	
        		fileDetails.fileName=target.childNodes[0].innerHTML;
        		fileDetails.Description=target.childNodes[1].innerHTML;
        		fileDetails.ModifiedTime=target.childNodes[2].innerHTML;
                fileDetails.fileUrl=target.childNodes[3].getAttribute("fUrl")
        	}else if(target.nodeName=="SPAN"&& target.parentNode){
        		fileDetails=getFileDetails(target.parentNode);
        	}else if(target.nodeName=="DIV"&& target.id.indexOf("div_")>=0){
        		fileDetails=getFileDetails(target.childNodes[0]);
        	}
        	return fileDetails;
        }
        var openWinDetails=function(fileDetails){
        	mui.openWindow({
				url: 'fileDetails.html',
			    id: 'fileDetails',
			    extras: {
			    	fileDetails:fileDetails,				    	
			    },
			    show: {
			    	autoShow: true,
			    },
			    waiting: {
			    	autoShow: true,
			    }  
			});
        };
		var self, fileData, width = document.body.clientWidth + "px";
		var _parentView = mui.currentWebview.opener();
		var height = document.body.clientHeight - 48 + "px";
		document.getElementById("files-list").style.height = height;
		document.getElementById("files-list").style.overflow = 'auto';
		document.getElementById("addfiles").style.left = (document.body.clientWidth - 50) / 2 + "px";
		self = mui.currentWebview;
		self.fileOptions.fileData=!mui.currentWebview.fileOptions.fileData?[]:mui.currentWebview.fileOptions.fileData;
        self.fileOptions.disallowedFileTypes = ["exe", "cmd", "bat", "vbs", "js", "inf", "reg"];
	    self.fileOptions.imgallowedFileTypes = ["jpg","jpeg","gif","png","bmp"];
        self.fileOptions.fileTypeTitle = "文件";
		fileData = self.fileOptions==undefined?[]: self.fileOptions.fileData;
        if(self.fileOptions.imgOnly) {
        	$(".files_management")[0].innerText = "图片管理";
        	mui.currentWebview.fileOptions.fileTypeTitle = "图片";
        }
		_initeFileManagementHtml(fileData);

		$(".files_cancel_back").on("tap", function(e) {
			var target = e.target;
			var tc = target.className;
			if (tc.indexOf('add-files-div') === -1) {
				if ($("#add-files-div").length > 0) {
					$("#add-files-div").remove();
					$(".add-files-div-tran").remove();
				}
			}
		});
		$(".files_cancel_back").on("swipe", function(e) {
			var target = e.target;
			var tc = target.className;
			if (tc.indexOf('add-files-div') === -1) {
				if ($("#add-files-div").length > 0) {
					$("#add-files-div").remove();
					$(".add-files-div-tran").remove();
				}
			}
		});
		$("#files-list").on("tap", function(e) {
			var target = e.target;
			var tc = target.className;
			if (tc.indexOf('add-files-div') === -1) {
				if ($("#add-files-div").length > 0) {
					$("#add-files-div").remove();
					$(".add-files-div-tran").remove();
				}
			}
		});


		$(".file-dele-a").on("tap", function(e) {	
			if (e.target.className.indexOf('file-dele-a') >= 0) {
				if(mui.currentWebview.fileOptions.editable==false){
					mui.toast("单元格只读，不能删除！"); 
					return;
				}
				var fileTarget = e.target.parentNode.parentNode.children[1];
				var id = fileTarget.id,
					fileData = mui.currentWebview.fileOptions.fileData,
					flag = true;
				for (var i=0;i<fileData.length;i++) {
					for (var j in fileData[i]) {
						switch (j) {
							case 'FileGuid':
								if ('div_' + fileData[i][j] == id) {
									$("#li_" + fileData[i][j]).remove();
									fileData[i].FileState=3;
									mui.toast("删除成功！");  
									flag = false;
								}
								break;
							default:
						}
						if (!flag) {
							break;
						}
					}
					if (!flag) {
						break;
					}
				}
				var fileListView = $("#files-list-ul");
				if (!$(".mui-table-view-cell") ||  $(".mui-table-view-cell").length == 0) {
					$("<span id='noFile' class='noFile'>单元格没有"+mui.currentWebview.fileOptions.fileTypeTitle+"</span>").appendTo(fileListView);
					$("#noFile").css("height", height);
				}
			}
		});
		$(".files_management_add").on("tap", function(e) {
			if ($("#add-files-div").length > 0) {
				$("#add-files-div").remove();
				$(".add-files-div-tran").remove();
			} else {			
				var imgOnly = mui.currentWebview.fileOptions.imgOnly?true:false,
				    url = getUrl(mui.currentWebview.fileOptions.URL,imgOnly),
				    title= imgOnly?"上传图片":"上传文件",
				    type = imgOnly?"accept='image/*'":"";
				if(!mui.os.plus || !plus){
					if(imgOnly){
				      $("<div class='add-files-div-tran'></div><div id='add-files-div' style='display:none' class='add-files-div'><form id='form_FileUplaod' action='" + url + "' method='post' enctype='multipart/form-data'><div class='add-file-overinput'><span class='add-file-overinput-icon'></span><span class='add-file-overinput-title'>上传图片</span><input type = 'file' accept='image/*' name='input_FileUpload' class= 'add-files-uploadFile' onchange=''></div></form></span></div>").insertBefore($(".addFiles-foot"));
					}else{
				      $("<div class='add-files-div-tran'></div><div id='add-files-div' style='display:none' class='add-files-div'><form id='form_FileUplaod' action='" + url + "' method='post' enctype='multipart/form-data'><div class='add-file-overinput'><span class='add-file-overinput-icon'></span><span class='add-file-overinput-title'>上传文件</span><input type = 'file' name='input_FileUpload' class= 'add-files-uploadFile' onchange=''></div></form></span></div>").insertBefore($(".addFiles-foot"));						
					}				
				}else{
				   $("<div class='add-files-div-tran'></div><div id='add-files-div' style='display:none' class='add-files-div'><span id='add-file-span-picture' class='add-file-span-picture'><span class='add-file-icon add-file-icon-picture' id='add-file-icon-picture'></span><span  class='add-files-picture'  id='add-files-picture'>上传图片</span></span><span class='add-file-span-pfoto'><span class='add-file-icon add-file-icon-photo' id='add-file-icon-photo'></span><span class='add-files-photo' id='add-files-photo'>拍照</span></span></div>").insertBefore($(".addFiles-foot"));					
				}
		    	//<span  class='add-files-manage' id='add-files-manage'>上传文件</span><span  class='add-files-manage' id='add-files-manage'>批量删除</span><span  class='add-files-manage' id='add-files-manage'>批量下载</span> 
			    $("#add-files-div")[0].style.display = 'block';
			    $('.add-files-uploadFile').on('change',function(){
			    	$("#add-files-div").hide();
		            $(".add-files-div-tran").hide();
			    	    var _getUploadFileSize = function (fileUpload, file) {
					    if (file == null)
					        return 0;
					    if (typeof window.ActiveXObject != 'undefined') {
					        try {
					            var fso = new ActiveXObject("Scripting.FileSystemObject");
					            var fileObj = fso.GetFile(file);
					            return fileObj && fileObj.size || 0;
					        } catch (e) {
					            return -1;
					        }
					    } else {
					        var files = fileUpload[0].files;
					        return files && files[0] && files[0].size || 0;
					    }
					};
                    var file = $(".add-files-uploadFile")[0].value;
	        	    fileType = file.substr(file.lastIndexOf('.') + 1).toLowerCase(),
	                fileSize = _getUploadFileSize($(".add-files-uploadFile"), file);
	                if(self.fileOptions.imgOnly && self.fileOptions.imgallowedFileTypes.indexOf(fileType)<0){
	                	mui.toast("请上传格式为jpg、jpeg、gif、png、bmp的图片！"); 
	                	return;
	                }else if(!self.fileOptions.imgOnly && self.fileOptions.disallowedFileTypes.indexOf(fileType)>=0){
	                    mui.toast("禁止上传格式为exe、cmd、bat、vbs、js的文件！"); 
	                	return;
	                }
	                if(fileSize>20971520){
	                	mui.toast("超过图片上传限制，请选择小于20MB文件再次上传！"); 
	                	return;
	                }

	                //$(document.body).showLoading();
	                mui.showWaiting();
		             $("#form_FileUplaod").ajaxSubmit({
		             	contentType: "application/x-www-form-urlencoded; charset=utf-8", 
                        success: function(files){
                        	mui.closeWaiting();
                        	var file = eval(files);
			             	$("#noFile").remove();
			                $("#add-files-div").remove();
			             	$(".add-files-div-tran").remove();
			             	if(file[0] && typeof(file[0])=="object"){
			             		var curFile={};
								 curFile.Description = file[0].Description==null?"": file[0].Description;
								 curFile.FileName=getFileName(file[0].FileName);
								 curFile.ModifiedTime=file[0].ModifiedTime;
								 curFile.FileGuid = file[0].FileGuid;
								 curFile.fileSize = file[0].fileSize;
							     curFile.FileState = file[0].FileState;
	                             curFile.FileURl=file[0].FileURl?file[0].FileURl:file[0].FileURL;
			             		 mui.currentWebview.fileOptions.fileData.push(curFile)
			             		 addFileList(curFile);
			             		 mui.toast("图片上传成功！"); 
			             	}else{
			             		mui.toast("图片上传失败，请重新上传！"); 
			             	}
                        }
		             });
			    });
			    $('.add-file-span-picture').on('tap', function(e) {	
			        if ($("#add-files-div").length > 0) {
				        $("#add-files-div").remove();
				        $(".add-files-div-tran").remove();
		            }
					if(mui.currentWebview.fileOptions.editable==false){
					    mui.toast("单元格只读,不能上传！");  
					    return;
				    }
					if(!mui.os.plus){
						mui.toast("移动浏览器端暂不支持上传，深表歉意，我们将会很快更正！"); 
						return ;
					}
					getImages();		
					preventDefault(e);
			    });
			    $('.add-file-span-pfoto').on('tap', function(e) {
					if ($("#add-files-div").length > 0) {
						$("#add-files-div").remove();
						$(".add-files-div-tran").remove();
					}
					if(mui.currentWebview.fileOptions.editable==false){
					    mui.toast("单元格只读,不能上传！");  
					    return;
				    }
					if(!mui.os.plus){
						mui.toast("移动浏览器端暂不支持上传，深表歉意，我们将会很快更正！"); 
						return ;
					}
					var cmr = plus.camera.getCamera();
					var res = cmr.supportedImageResolutions[0];
					var fmt = cmr.supportedVideoFormats[0];
					cmr.captureImage(function(path) {
						var fileurl = [];
						plus.io.resolveLocalFileSystemURL(path, function(entry) {
							var localUrl = entry.toLocalURL();
							path = entry.fullPath;
							fileurl.push(path);
							uploadPics(fileurl, entry);
						});
					});
				    preventDefault(e);
				});
				if($("#add-files-picture")[0] && $("#add-files-photo")[0]){
						var clientWidth = document.body.clientWidth;
				var elemWidth = document.getElementById("add-files-photo").offsetWidth;
				var leftWidth = (clientWidth / 2 - elemWidth - elemWidth / 2 - 20) + "px";
				if(!mui.currentWebview.fileOptions.editable){
					$("#add-files-picture")[0].style.color = '#9c9c9c';
					$("#add-files-photo")[0].style.color = '#9c9c9c';
				}
				}		
			}
		});
		/*
	    $(".mui-slider-handle").on("tap", function(e) { //enumt-inputText
	    if (e.target.className.indexOf('file-download-a') >= 0 || e.target.className.indexOf('fileList-li-download') >= 0) {
				var fileTarget = e.target.parentNode.parentNode.children[1],
					id = fileTarget.id,
					filesDownload=[],
					fileData = mui.currentWebview.fileOptions.fileData;
				id=id.replace("div_,","");
			    for (var i=0;i<fileData.length;i++) {
			    	if(fileData[i].FileGuid==id){
			    		filesDownload.push(fileData[i]);
			    	}
			    	break;
			    }
				mui.fire(_parentView, mui.currentWebview.fileOptions.downloadListenString, {
				  filesDownload:filesDownload 
			   });		
			   preventDefault(e);
			}else{
				var fileDetails=getFileDetails(e.target);
				openWinDetails(fileDetails);
			}
			
		});
		*/
		$("#files_cancel_back").on("tap", function() { //enumt-inputText
			mui.back();
		});
		var oldBack = mui.back;
		mui.back = function() { //self.flieOptions.flieData
				mui.fire(_parentView, mui.currentWebview.fileOptions.returnListenString, {
				fileOptions: mui.currentWebview.fileOptions
			});
			oldBack(); 
		}
	});
}